#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_DATA(admin_timeout, "_gpl", "");
KSYMTAB_DATA(nvme_io_timeout, "_gpl", "");
KSYMTAB_DATA(nvme_wq, "_gpl", "");
KSYMTAB_DATA(nvme_reset_wq, "_gpl", "");
KSYMTAB_DATA(nvme_delete_wq, "_gpl", "");
KSYMTAB_FUNC(nvme_try_sched_reset, "_gpl", "");
KSYMTAB_FUNC(nvme_reset_ctrl, "_gpl", "");
KSYMTAB_FUNC(nvme_delete_ctrl, "_gpl", "");
KSYMTAB_FUNC(nvme_complete_rq, "_gpl", "");
KSYMTAB_FUNC(nvme_complete_batch_req, "_gpl", "");
KSYMTAB_FUNC(nvme_host_path_error, "_gpl", "");
KSYMTAB_FUNC(nvme_cancel_request, "_gpl", "");
KSYMTAB_FUNC(nvme_cancel_tagset, "_gpl", "");
KSYMTAB_FUNC(nvme_cancel_admin_tagset, "_gpl", "");
KSYMTAB_FUNC(nvme_change_ctrl_state, "_gpl", "");
KSYMTAB_FUNC(nvme_wait_reset, "_gpl", "");
KSYMTAB_FUNC(nvme_put_ns, "_gpl", "NVME_TARGET_PASSTHRU");
KSYMTAB_FUNC(nvme_init_request, "_gpl", "");
KSYMTAB_FUNC(nvme_fail_nonready_command, "_gpl", "");
KSYMTAB_FUNC(__nvme_check_ready, "_gpl", "");
KSYMTAB_FUNC(nvme_cleanup_cmd, "_gpl", "");
KSYMTAB_FUNC(nvme_setup_cmd, "_gpl", "");
KSYMTAB_FUNC(nvme_execute_rq, "_gpl", "NVME_TARGET_PASSTHRU");
KSYMTAB_FUNC(__nvme_submit_sync_cmd, "_gpl", "");
KSYMTAB_FUNC(nvme_submit_sync_cmd, "_gpl", "");
KSYMTAB_FUNC(nvme_command_effects, "_gpl", "NVME_TARGET_PASSTHRU");
KSYMTAB_FUNC(nvme_passthru_start, "_gpl", "NVME_TARGET_PASSTHRU");
KSYMTAB_FUNC(nvme_passthru_end, "_gpl", "NVME_TARGET_PASSTHRU");
KSYMTAB_FUNC(nvme_stop_keep_alive, "_gpl", "");
KSYMTAB_FUNC(nvme_set_features, "_gpl", "");
KSYMTAB_FUNC(nvme_get_features, "_gpl", "");
KSYMTAB_FUNC(nvme_set_queue_count, "_gpl", "");
KSYMTAB_FUNC(nvme_disable_ctrl, "_gpl", "");
KSYMTAB_FUNC(nvme_enable_ctrl, "_gpl", "");
KSYMTAB_FUNC(nvme_init_ctrl_finish, "_gpl", "");
KSYMTAB_FUNC(nvme_find_get_ns, "_gpl", "NVME_TARGET_PASSTHRU");
KSYMTAB_FUNC(nvme_remove_namespaces, "_gpl", "");
KSYMTAB_FUNC(nvme_complete_async_event, "_gpl", "");
KSYMTAB_FUNC(nvme_alloc_admin_tag_set, "_gpl", "");
KSYMTAB_FUNC(nvme_remove_admin_tag_set, "_gpl", "");
KSYMTAB_FUNC(nvme_alloc_io_tag_set, "_gpl", "");
KSYMTAB_FUNC(nvme_remove_io_tag_set, "_gpl", "");
KSYMTAB_FUNC(nvme_stop_ctrl, "_gpl", "");
KSYMTAB_FUNC(nvme_start_ctrl, "_gpl", "");
KSYMTAB_FUNC(nvme_uninit_ctrl, "_gpl", "");
KSYMTAB_FUNC(nvme_init_ctrl, "_gpl", "");
KSYMTAB_FUNC(nvme_mark_namespaces_dead, "_gpl", "");
KSYMTAB_FUNC(nvme_unfreeze, "_gpl", "");
KSYMTAB_FUNC(nvme_wait_freeze_timeout, "_gpl", "");
KSYMTAB_FUNC(nvme_wait_freeze, "_gpl", "");
KSYMTAB_FUNC(nvme_start_freeze, "_gpl", "");
KSYMTAB_FUNC(nvme_quiesce_io_queues, "_gpl", "");
KSYMTAB_FUNC(nvme_unquiesce_io_queues, "_gpl", "");
KSYMTAB_FUNC(nvme_quiesce_admin_queue, "_gpl", "");
KSYMTAB_FUNC(nvme_unquiesce_admin_queue, "_gpl", "");
KSYMTAB_FUNC(nvme_sync_io_queues, "_gpl", "");
KSYMTAB_FUNC(nvme_sync_queues, "_gpl", "");
KSYMTAB_FUNC(nvme_ctrl_from_file, "_gpl", "NVME_TARGET_PASSTHRU");
KSYMTAB_DATA(nvme_dev_attrs_group, "_gpl", "");
KSYMTAB_DATA(__tracepoint_nvme_sq, "_gpl", "");
KSYMTAB_FUNC(__traceiter_nvme_sq, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_nvme_sq, "_gpl", "");
KSYMTAB_FUNC(nvme_mpath_start_request, "_gpl", "");
KSYMTAB_FUNC(nvme_auth_negotiate, "_gpl", "");
KSYMTAB_FUNC(nvme_auth_wait, "_gpl", "");
KSYMTAB_FUNC(nvme_auth_init_ctrl, "_gpl", "");
KSYMTAB_FUNC(nvme_auth_stop, "_gpl", "");
KSYMTAB_FUNC(nvme_auth_free, "_gpl", "");

SYMBOL_CRC(admin_timeout, 0xd45434ee, "_gpl");
SYMBOL_CRC(nvme_io_timeout, 0x813cf212, "_gpl");
SYMBOL_CRC(nvme_wq, 0x64b62862, "_gpl");
SYMBOL_CRC(nvme_reset_wq, 0x49224181, "_gpl");
SYMBOL_CRC(nvme_delete_wq, 0xd58bbbcb, "_gpl");
SYMBOL_CRC(nvme_try_sched_reset, 0x81513efd, "_gpl");
SYMBOL_CRC(nvme_reset_ctrl, 0x74231f27, "_gpl");
SYMBOL_CRC(nvme_delete_ctrl, 0xcdba0014, "_gpl");
SYMBOL_CRC(nvme_complete_rq, 0xb02cdaf7, "_gpl");
SYMBOL_CRC(nvme_complete_batch_req, 0xd7604a48, "_gpl");
SYMBOL_CRC(nvme_host_path_error, 0xcf1409c4, "_gpl");
SYMBOL_CRC(nvme_cancel_request, 0x4e671e9c, "_gpl");
SYMBOL_CRC(nvme_cancel_tagset, 0x2cb004d4, "_gpl");
SYMBOL_CRC(nvme_cancel_admin_tagset, 0xac07b5b4, "_gpl");
SYMBOL_CRC(nvme_change_ctrl_state, 0xb0b1b70a, "_gpl");
SYMBOL_CRC(nvme_wait_reset, 0x820e2ef2, "_gpl");
SYMBOL_CRC(nvme_put_ns, 0x3fe109bf, "_gpl");
SYMBOL_CRC(nvme_init_request, 0xa8201e2f, "_gpl");
SYMBOL_CRC(nvme_fail_nonready_command, 0xcf089d9b, "_gpl");
SYMBOL_CRC(__nvme_check_ready, 0x363dfdb3, "_gpl");
SYMBOL_CRC(nvme_cleanup_cmd, 0x7ac05c0b, "_gpl");
SYMBOL_CRC(nvme_setup_cmd, 0xd4a337c6, "_gpl");
SYMBOL_CRC(nvme_execute_rq, 0x5069383c, "_gpl");
SYMBOL_CRC(__nvme_submit_sync_cmd, 0x9698d8a7, "_gpl");
SYMBOL_CRC(nvme_submit_sync_cmd, 0x14ea4a20, "_gpl");
SYMBOL_CRC(nvme_command_effects, 0xcb0f8985, "_gpl");
SYMBOL_CRC(nvme_passthru_start, 0xa761080a, "_gpl");
SYMBOL_CRC(nvme_passthru_end, 0x6b22b181, "_gpl");
SYMBOL_CRC(nvme_stop_keep_alive, 0x92d1f6c4, "_gpl");
SYMBOL_CRC(nvme_set_features, 0x5105c2a7, "_gpl");
SYMBOL_CRC(nvme_get_features, 0x5c526b87, "_gpl");
SYMBOL_CRC(nvme_set_queue_count, 0xf6c8fcd0, "_gpl");
SYMBOL_CRC(nvme_disable_ctrl, 0x818c1a02, "_gpl");
SYMBOL_CRC(nvme_enable_ctrl, 0xffaba98f, "_gpl");
SYMBOL_CRC(nvme_init_ctrl_finish, 0x9c4e54f2, "_gpl");
SYMBOL_CRC(nvme_find_get_ns, 0xac95c269, "_gpl");
SYMBOL_CRC(nvme_remove_namespaces, 0x4914f543, "_gpl");
SYMBOL_CRC(nvme_complete_async_event, 0xea28cf69, "_gpl");
SYMBOL_CRC(nvme_alloc_admin_tag_set, 0x10a1ff77, "_gpl");
SYMBOL_CRC(nvme_remove_admin_tag_set, 0xcf970373, "_gpl");
SYMBOL_CRC(nvme_alloc_io_tag_set, 0x78e0592c, "_gpl");
SYMBOL_CRC(nvme_remove_io_tag_set, 0xdee45e54, "_gpl");
SYMBOL_CRC(nvme_stop_ctrl, 0xc6afa927, "_gpl");
SYMBOL_CRC(nvme_start_ctrl, 0x28320c02, "_gpl");
SYMBOL_CRC(nvme_uninit_ctrl, 0xec71da77, "_gpl");
SYMBOL_CRC(nvme_init_ctrl, 0x2d9cba32, "_gpl");
SYMBOL_CRC(nvme_mark_namespaces_dead, 0xb5327c62, "_gpl");
SYMBOL_CRC(nvme_unfreeze, 0xd2477b28, "_gpl");
SYMBOL_CRC(nvme_wait_freeze_timeout, 0x5a087d3f, "_gpl");
SYMBOL_CRC(nvme_wait_freeze, 0x591275fc, "_gpl");
SYMBOL_CRC(nvme_start_freeze, 0x0ec5f615, "_gpl");
SYMBOL_CRC(nvme_quiesce_io_queues, 0x4dae7138, "_gpl");
SYMBOL_CRC(nvme_unquiesce_io_queues, 0xe848daee, "_gpl");
SYMBOL_CRC(nvme_quiesce_admin_queue, 0xc569ceb6, "_gpl");
SYMBOL_CRC(nvme_unquiesce_admin_queue, 0x530f73a9, "_gpl");
SYMBOL_CRC(nvme_sync_io_queues, 0x53cf789c, "_gpl");
SYMBOL_CRC(nvme_sync_queues, 0x5dc4c3fe, "_gpl");
SYMBOL_CRC(nvme_ctrl_from_file, 0xf51cdf6d, "_gpl");
SYMBOL_CRC(nvme_dev_attrs_group, 0xefecd981, "_gpl");
SYMBOL_CRC(__tracepoint_nvme_sq, 0x27fcbedb, "_gpl");
SYMBOL_CRC(__traceiter_nvme_sq, 0x64412001, "_gpl");
SYMBOL_CRC(__SCK__tp_func_nvme_sq, 0x11abc494, "_gpl");
SYMBOL_CRC(nvme_mpath_start_request, 0xf1037340, "_gpl");
SYMBOL_CRC(nvme_auth_negotiate, 0xe51fbf95, "_gpl");
SYMBOL_CRC(nvme_auth_wait, 0xd209e81c, "_gpl");
SYMBOL_CRC(nvme_auth_init_ctrl, 0xf9c58fe4, "_gpl");
SYMBOL_CRC(nvme_auth_stop, 0x3d305ad7, "_gpl");
SYMBOL_CRC(nvme_auth_free, 0xae6e33e3, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xde053e4a, "set_capacity_and_notify" },
	{ 0xb7ce6ab9, "bio_associate_blkg" },
	{ 0x9c6febfc, "add_uevent_var" },
	{ 0xf73b9adc, "set_disk_ro" },
	{ 0x1680e5c7, "__blk_alloc_disk" },
	{ 0x78569adf, "ida_alloc_range" },
	{ 0x6ff88f7a, "blk_integrity_register" },
	{ 0x1b9a1639, "try_module_get" },
	{ 0xe3ec2f2b, "alloc_chrdev_region" },
	{ 0xa5da67c, "vmemmap" },
	{ 0xbf9a5a1e, "__init_rwsem" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x3278882d, "bio_integrity_map_user" },
	{ 0xb381ff9e, "ida_destroy" },
	{ 0x40b24c3b, "device_remove_file_self" },
	{ 0x90cc5e6, "param_ops_uint" },
	{ 0x7ed993bc, "param_ops_ulong" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0xac93404b, "dev_set_name" },
	{ 0x5b2fd59, "ext_pi_type3_crc64" },
	{ 0xb7fb247, "bio_split_to_limits" },
	{ 0xd2504a8c, "arch_spin_lock_wait" },
	{ 0x5529d6fb, "trace_seq_printf" },
	{ 0x5fa9934d, "device_add_disk" },
	{ 0x98de1c15, "snprintf" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xb8c22b8d, "trace_raw_output_prep" },
	{ 0x222e7ce2, "sysfs_streq" },
	{ 0x40aeeca9, "blk_mq_tagset_wait_completed_request" },
	{ 0xf87aa3d, "cdev_device_del" },
	{ 0xdca4aa79, "__trace_trigger_soft_disabled" },
	{ 0xfdb7f6a9, "finish_wait" },
	{ 0x215c446e, "queue_limits_stack_bdev" },
	{ 0xdb31ab91, "trace_event_printf" },
	{ 0xbe560380, "nvme_auth_transform_key" },
	{ 0x3bc83d2c, "device_initialize" },
	{ 0x82c087f2, "blk_mq_unquiesce_queue" },
	{ 0xe8cb0dbc, "t10_pi_type1_crc" },
	{ 0xb13bf41c, "blk_mq_quiesce_queue" },
	{ 0xfec003e3, "trace_event_raw_init" },
	{ 0x4797fa24, "ext_pi_type1_crc64" },
	{ 0x98b705ac, "trace_print_symbols_seq" },
	{ 0x236c8c64, "memcpy" },
	{ 0xf04abd47, "nvme_auth_gen_shared_secret" },
	{ 0x3b6c41ea, "kstrtouint" },
	{ 0x37a0cba, "kfree" },
	{ 0xae04012c, "__vmalloc" },
	{ 0x9f0884de, "__traceiter_block_bio_remap" },
	{ 0x3d45ce62, "__traceiter_block_bio_complete" },
	{ 0xfb3e4ebd, "blk_queue_write_cache" },
	{ 0xa8694ecd, "kblockd_schedule_work" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x20201bea, "bpf_trace_run2" },
	{ 0x23924a48, "prepare_to_wait_event" },
	{ 0xfbf99714, "disk_uevent" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0xa066fd6c, "__wake_up" },
	{ 0x8ee234ec, "synchronize_srcu" },
	{ 0xc9bddc5d, "param_ops_byte" },
	{ 0x8ad3f19, "kmem_cache_create" },
	{ 0x5bd8e181, "get_device" },
	{ 0xa0aeed36, "blk_mq_end_request" },
	{ 0x3c229e35, "__blk_mq_alloc_disk" },
	{ 0xffb4dad1, "__dynamic_dev_dbg" },
	{ 0x6f79375c, "mempool_free" },
	{ 0x49672828, "node_states" },
	{ 0xb5422a90, "blk_integrity_unregister" },
	{ 0xa34c357e, "blk_mq_delay_kick_requeue_list" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0x85e0f17f, "blk_mq_alloc_tag_set" },
	{ 0xd8d814a, "blk_rq_is_poll" },
	{ 0x1e4f34fa, "trace_event_buffer_commit" },
	{ 0x63b935d1, "crypto_destroy_tfm" },
	{ 0xeab5b11c, "trace_seq_putc" },
	{ 0x92997ed8, "_printk" },
	{ 0x86d2335e, "mempool_create" },
	{ 0x520774c6, "put_disk" },
	{ 0x5032195b, "crypto_alloc_kpp" },
	{ 0xa7f8add, "cdev_device_add" },
	{ 0xb6f4dbfc, "___ratelimit" },
	{ 0x1000e51, "schedule" },
	{ 0x5f81d00c, "nvme_auth_free_key" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0x994e611c, "blk_execute_rq" },
	{ 0xf6d98ea9, "put_device" },
	{ 0x1c682465, "blk_mq_unquiesce_tagset" },
	{ 0x9b8d07aa, "strnlen" },
	{ 0x88847a5a, "kmalloc_node_trace" },
	{ 0x1124aadf, "blk_queue_flag_set" },
	{ 0xe9fcb616, "mempool_alloc" },
	{ 0xa1e5563f, "blk_mq_free_request" },
	{ 0xadbfd56e, "__free_pages" },
	{ 0x731a8940, "_dev_info" },
	{ 0x66891d3a, "blk_rq_map_kern" },
	{ 0xc6cbbc89, "capable" },
	{ 0xa7e2dd7e, "module_put" },
	{ 0x261640ed, "sysfs_create_link" },
	{ 0x12882ee6, "sized_strscpy" },
	{ 0x1c14fdbe, "nvme_auth_gen_pubkey" },
	{ 0x6ef84303, "kvmalloc_node" },
	{ 0xb9bb8994, "compat_ptr_ioctl" },
	{ 0xa503acb7, "t10_pi_type3_crc" },
	{ 0x8af8ae90, "blk_rq_poll" },
	{ 0x1599e97a, "blk_mq_quiesce_tagset" },
	{ 0x9f46ced8, "__sw_hweight64" },
	{ 0xbc79a4f4, "key_put" },
	{ 0x3884676e, "kobject_uevent_env" },
	{ 0x374ba9e6, "bio_endio" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x936c7caf, "perf_trace_buf_alloc" },
	{ 0x79fe7a0, "init_srcu_struct" },
	{ 0xb1379225, "perf_trace_run_bpf_submit" },
	{ 0xd3cf1c01, "down_write" },
	{ 0x1a96d5fb, "_dev_err" },
	{ 0xe0c3e189, "blk_revalidate_disk_zones" },
	{ 0xd2510a63, "up_write" },
	{ 0x79341e8f, "crypto_shash_setkey" },
	{ 0xa423ff4, "device_add" },
	{ 0x6f5ef93d, "memchr_inv" },
	{ 0x21c0828e, "blk_rq_map_user_io" },
	{ 0x8a99a016, "mempool_free_slab" },
	{ 0xe301af06, "sysfs_remove_link" },
	{ 0x124e3c77, "blk_execute_rq_nowait" },
	{ 0x8c8569cb, "kstrtoint" },
	{ 0xb1cdea85, "__srcu_read_lock" },
	{ 0x350b323a, "set_capacity" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0x8d61a6a0, "submit_bio_noacct" },
	{ 0x5b745a3d, "xa_load" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x860efa2c, "mutex_lock" },
	{ 0x370882d8, "blk_sync_queue" },
	{ 0x3b798134, "bdev_start_io_acct" },
	{ 0x85abc85f, "strncmp" },
	{ 0x6dcf857f, "uuid_null" },
	{ 0x674c5bc1, "nvme_auth_hmac_name" },
	{ 0x40eaed1, "trace_event_reg" },
	{ 0xd0760fc0, "kfree_sensitive" },
	{ 0xfa6a5ce8, "blk_mq_alloc_request_hctx" },
	{ 0xf583c2b9, "__io_uring_cmd_do_in_task" },
	{ 0x62d13aef, "blk_mq_alloc_request" },
	{ 0xf9a06e0e, "ida_free" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0xae412647, "crypto_shash_update" },
	{ 0x5e4430de, "class_unregister" },
	{ 0x2c949a5c, "blk_mq_free_tag_set" },
	{ 0x446c1591, "del_gendisk" },
	{ 0x564405cb, "__cpu_online_mask" },
	{ 0x2fa5a500, "memcmp" },
	{ 0x610399cd, "cleanup_srcu_struct" },
	{ 0xf0ea2318, "__mutex_init" },
	{ 0xb35e1527, "__fortify_panic" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0x3898cd06, "nvme_auth_augmented_challenge" },
	{ 0x5ff3b94f, "blk_set_stacking_limits" },
	{ 0x681792be, "blk_mq_freeze_queue_wait_timeout" },
	{ 0x5354adfb, "blk_put_queue" },
	{ 0xd6aaf4f9, "bpf_trace_run1" },
	{ 0x846bb62, "device_del" },
	{ 0x124bad4d, "kstrtobool" },
	{ 0x4013719f, "_dev_warn" },
	{ 0x8fb0578d, "blk_mq_wait_quiesce_done" },
	{ 0xc972449f, "mempool_alloc_slab" },
	{ 0x51873876, "nvme_auth_get_seqnum" },
	{ 0x44e9b7d0, "__init_waitqueue_head" },
	{ 0xa3288aa4, "io_uring_cmd_done" },
	{ 0x1136026c, "blk_rq_unmap_user" },
	{ 0xfb384d37, "kasprintf" },
	{ 0x103bafd6, "down_read" },
	{ 0xf474fdcb, "kfree_const" },
	{ 0xe798236d, "jiffies" },
	{ 0x489a0a5, "nvme_auth_generate_key" },
	{ 0x99ca74a6, "xa_erase" },
	{ 0xdb0d19de, "bpf_trace_run3" },
	{ 0xc9bb48ac, "nvme_auth_dhgroup_name" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0xa519dc6b, "blk_mq_complete_request" },
	{ 0x1196ef5a, "blk_mq_freeze_queue" },
	{ 0x6091b333, "unregister_chrdev_region" },
	{ 0xaf81c1aa, "trace_event_buffer_reserve" },
	{ 0x879aaf71, "crypto_shash_final" },
	{ 0x86a8fb71, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x7d7e23c6, "param_ops_bool" },
	{ 0x7a5dbc81, "blk_mq_destroy_queue" },
	{ 0x989e1516, "xa_destroy" },
	{ 0xefe76995, "blk_freeze_queue_start" },
	{ 0x42ae6d99, "xa_find" },
	{ 0xdadb6777, "alloc_pages" },
	{ 0xc62ab2bc, "mempool_destroy" },
	{ 0xa5546b63, "blk_mq_alloc_queue" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0x2ccb56cb, "__tracepoint_block_bio_complete" },
	{ 0xe70e184a, "xa_store" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x626886bd, "__srcu_read_unlock" },
	{ 0xe00db6dc, "__tracepoint_block_bio_remap" },
	{ 0xe9f8e437, "blk_mq_unfreeze_queue" },
	{ 0xc04fd068, "blk_mq_tagset_busy_iter" },
	{ 0xf0ccf2d4, "nvme_auth_dhgroup_kpp" },
	{ 0xf963f2fc, "queue_limits_commit_update" },
	{ 0x7c09505d, "blkdev_compat_ptr_ioctl" },
	{ 0x8676db46, "get_random_bytes" },
	{ 0x24d25594, "blk_rq_map_user_iov" },
	{ 0x429dcdc0, "xa_find_after" },
	{ 0x86f48f92, "kmalloc_trace" },
	{ 0xcf4d4bcd, "blk_mark_disk_dead" },
	{ 0xddb629fb, "io_uring_cmd_import_fixed" },
	{ 0x7aa1756e, "kvfree" },
	{ 0xfa23c8e1, "crypto_alloc_shash" },
	{ 0x98b2bc1, "blk_mq_freeze_queue_wait" },
	{ 0x2f2b6bf, "nvme_auth_gen_privkey" },
	{ 0x84502a47, "blk_status_to_errno" },
	{ 0xff557e80, "trace_handle_return" },
	{ 0x555ccb97, "up_read" },
	{ 0xa3b0d94, "raw_copy_from_user" },
	{ 0xf892cdbc, "blk_mq_requeue_request" },
	{ 0x613febc3, "class_register" },
	{ 0xf9a482f9, "msleep" },
	{ 0xc4f0da12, "ktime_get_with_offset" },
	{ 0x55433225, "cdev_init" },
	{ 0x1dadd920, "__kmalloc" },
	{ 0xb0c6d049, "bdev_end_io_acct" },
	{ 0xfb0e0d0b, "kmalloc_caches" },
	{ 0xf266f5d7, "blk_steal_bios" },
	{ 0x6286d0bb, "kmem_cache_destroy" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x2f2c95c4, "flush_work" },
	{ 0x50b93b95, "module_layout" },
};

MODULE_INFO(depends, "t10-pi,nvme-auth");


MODULE_INFO(srcversion, "8911C12122BC5B030660716");
MODULE_INFO(rhelversion, "9.99");
