#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(fc_get_event_number, "", "");
KSYMTAB_FUNC(fc_host_post_fc_event, "", "");
KSYMTAB_FUNC(fc_host_post_event, "", "");
KSYMTAB_FUNC(fc_host_post_vendor_event, "", "");
KSYMTAB_FUNC(fc_find_rport_by_wwpn, "", "");
KSYMTAB_FUNC(fc_host_fpin_rcv, "", "");
KSYMTAB_FUNC(scsi_is_fc_rport, "", "");
KSYMTAB_FUNC(fc_eh_timed_out, "", "");
KSYMTAB_FUNC(fc_attach_transport, "", "");
KSYMTAB_FUNC(fc_release_transport, "", "");
KSYMTAB_FUNC(fc_remove_host, "", "");
KSYMTAB_FUNC(fc_remote_port_add, "", "");
KSYMTAB_FUNC(fc_remote_port_delete, "", "");
KSYMTAB_FUNC(fc_remote_port_rolechg, "", "");
KSYMTAB_FUNC(fc_block_rport, "", "");
KSYMTAB_FUNC(fc_block_scsi_eh, "", "");
KSYMTAB_FUNC(fc_eh_should_retry_cmd, "_gpl", "");
KSYMTAB_FUNC(fc_vport_create, "", "");
KSYMTAB_FUNC(fc_vport_terminate, "", "");

SYMBOL_CRC(fc_get_event_number, 0x375f8bbd, "");
SYMBOL_CRC(fc_host_post_fc_event, 0x27e11717, "");
SYMBOL_CRC(fc_host_post_event, 0x575a0e09, "");
SYMBOL_CRC(fc_host_post_vendor_event, 0x20298762, "");
SYMBOL_CRC(fc_find_rport_by_wwpn, 0x2121d9ae, "");
SYMBOL_CRC(fc_host_fpin_rcv, 0xa20eb6f7, "");
SYMBOL_CRC(scsi_is_fc_rport, 0x6f2e70ad, "");
SYMBOL_CRC(fc_eh_timed_out, 0x9d1ed39a, "");
SYMBOL_CRC(fc_attach_transport, 0xbea2b621, "");
SYMBOL_CRC(fc_release_transport, 0xacec73c5, "");
SYMBOL_CRC(fc_remove_host, 0xc66a2f5b, "");
SYMBOL_CRC(fc_remote_port_add, 0xdc7dede9, "");
SYMBOL_CRC(fc_remote_port_delete, 0x291096b6, "");
SYMBOL_CRC(fc_remote_port_rolechg, 0xb47149fa, "");
SYMBOL_CRC(fc_block_rport, 0x1642943c, "");
SYMBOL_CRC(fc_block_scsi_eh, 0x7cd9b006, "");
SYMBOL_CRC(fc_eh_should_retry_cmd, 0x4d3128f9, "_gpl");
SYMBOL_CRC(fc_vport_create, 0x37947366, "");
SYMBOL_CRC(fc_vport_terminate, 0x99fa6ba1, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xd2504a8c, "arch_spin_lock_wait" },
	{ 0xf6d98ea9, "put_device" },
	{ 0x37a0cba, "kfree" },
	{ 0x98de1c15, "snprintf" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x85abc85f, "strncmp" },
	{ 0x20000329, "simple_strtoul" },
	{ 0xab6d5b3b, "hex_to_bin" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0x92997ed8, "_printk" },
	{ 0x6b2dc060, "dump_stack" },
	{ 0x9e359829, "transport_class_register" },
	{ 0xca591d95, "transport_class_unregister" },
	{ 0x2f492b8d, "scsi_nl_sock" },
	{ 0xd3a4bd83, "__alloc_skb" },
	{ 0x3e86db42, "__nlmsg_put" },
	{ 0x953e1b9e, "ktime_get_real_seconds" },
	{ 0x8e544527, "netlink_broadcast_filtered" },
	{ 0x236c8c64, "memcpy" },
	{ 0xfe9ac081, "kfree_skb_reason" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0x1f2240d2, "scsi_is_host_device" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0xb467c0ed, "bsg_setup_queue" },
	{ 0x7672626c, "__scsi_init_queue" },
	{ 0xb2006757, "blk_queue_rq_timeout" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x1a96d5fb, "_dev_err" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x4ba61500, "attribute_container_unregister" },
	{ 0xd40eb7d6, "scsi_scan_target" },
	{ 0xfb0e0d0b, "kmalloc_caches" },
	{ 0x86f48f92, "kmalloc_trace" },
	{ 0x13280e3c, "attribute_container_register" },
	{ 0x8a46fa7, "bsg_remove_queue" },
	{ 0x283d536e, "scsi_host_put" },
	{ 0xe301af06, "sysfs_remove_link" },
	{ 0x56057f54, "transport_remove_device" },
	{ 0x846bb62, "device_del" },
	{ 0x47103cc0, "transport_destroy_device" },
	{ 0xac7c3fe8, "_dev_printk" },
	{ 0xd333d3c5, "scsi_target_unblock" },
	{ 0x7141848d, "scsi_remove_target" },
	{ 0x1e6ff6f0, "scsi_flush_work" },
	{ 0x116f618c, "scsi_is_target_device" },
	{ 0x1dadd920, "__kmalloc" },
	{ 0x85dbacf8, "scsi_host_get" },
	{ 0x3bc83d2c, "device_initialize" },
	{ 0x5bd8e181, "get_device" },
	{ 0xac93404b, "dev_set_name" },
	{ 0x3f75a723, "transport_setup_device" },
	{ 0xa423ff4, "device_add" },
	{ 0xe02b482a, "transport_add_device" },
	{ 0xebffcec7, "transport_configure_device" },
	{ 0x261640ed, "sysfs_create_link" },
	{ 0xf9a482f9, "msleep" },
	{ 0x470a135b, "scsi_block_targets" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xa4401f38, "scsi_queue_work" },
	{ 0x3dad9978, "cancel_delayed_work" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0xff4b59f9, "bsg_job_get" },
	{ 0xa0aeed36, "blk_mq_end_request" },
	{ 0x80f684e7, "bsg_job_put" },
	{ 0x88c9f6d, "bsg_job_done" },
	{ 0xf755ae57, "blk_mq_run_hw_queues" },
	{ 0x90cc5e6, "param_ops_uint" },
	{ 0x50b93b95, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "88B18DCDF071AB89867F02D");
MODULE_INFO(rhelversion, "9.99");
