#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xde053e4a, "set_capacity_and_notify" },
	{ 0xf73b9adc, "set_disk_ro" },
	{ 0xa724f91c, "scsi_print_sense_hdr" },
	{ 0x78569adf, "ida_alloc_range" },
	{ 0x6ff88f7a, "blk_integrity_register" },
	{ 0xa5da67c, "vmemmap" },
	{ 0x231f4b2c, "scsi_mode_sense" },
	{ 0x472ed36b, "bpf_trace_run4" },
	{ 0x7472b6c7, "blk_queue_logical_block_size" },
	{ 0xc0642dd7, "scsi_device_get" },
	{ 0xac93404b, "dev_set_name" },
	{ 0xa3a5be95, "memmove" },
	{ 0xd2504a8c, "arch_spin_lock_wait" },
	{ 0x5fa9934d, "device_add_disk" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xb8c22b8d, "trace_raw_output_prep" },
	{ 0x1fe7f915, "device_unregister" },
	{ 0xdca4aa79, "__trace_trigger_soft_disabled" },
	{ 0xdb31ab91, "trace_event_printf" },
	{ 0xf7370f56, "system_state" },
	{ 0xdd849d51, "scsi_get_sense_info_fld" },
	{ 0xded868c9, "scsi_get_vpd_page" },
	{ 0x3bc83d2c, "device_initialize" },
	{ 0xe8cb0dbc, "t10_pi_type1_crc" },
	{ 0xfec003e3, "trace_event_raw_init" },
	{ 0x3b6c41ea, "kstrtouint" },
	{ 0x37a0cba, "kfree" },
	{ 0x3c6785b7, "block_pr_type_to_scsi" },
	{ 0xae04012c, "__vmalloc" },
	{ 0xfb3e4ebd, "blk_queue_write_cache" },
	{ 0xc55b0c8b, "scsicam_bios_param" },
	{ 0x4b86764f, "blk_mq_alloc_disk_for_queue" },
	{ 0x5bd8e181, "get_device" },
	{ 0xe3293bd4, "scsi_command_normalize_sense" },
	{ 0x6f79375c, "mempool_free" },
	{ 0xb3d2c76d, "scsi_hostbyte_string" },
	{ 0xb5422a90, "blk_integrity_unregister" },
	{ 0x13814d98, "blk_queue_required_elevator_features" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0x36cf0a3e, "scsi_device_set_state" },
	{ 0x1e4f34fa, "trace_event_buffer_commit" },
	{ 0xadb73fdf, "scsi_test_unit_ready" },
	{ 0xc5adc349, "scsi_block_when_processing_errors" },
	{ 0x92997ed8, "_printk" },
	{ 0x96819e63, "scsi_register_driver" },
	{ 0x86d2335e, "mempool_create" },
	{ 0x4c7ef158, "__blk_req_zone_write_unlock" },
	{ 0x520774c6, "put_disk" },
	{ 0x91882ce6, "scsi_ioctl" },
	{ 0xc765ce4d, "blk_queue_physical_block_size" },
	{ 0xf6d98ea9, "put_device" },
	{ 0x1cd7d4df, "blk_queue_max_zone_append_sectors" },
	{ 0x1124aadf, "blk_queue_flag_set" },
	{ 0xe9fcb616, "mempool_alloc" },
	{ 0x20ee772a, "disk_set_zoned" },
	{ 0xc6cbbc89, "capable" },
	{ 0x834b475a, "blk_queue_flag_clear" },
	{ 0x6ef84303, "kvmalloc_node" },
	{ 0x9b41cfe9, "scsi_device_put" },
	{ 0xa503acb7, "t10_pi_type3_crc" },
	{ 0xb5a459dc, "unregister_blkdev" },
	{ 0xd6075b5f, "t10_pi_type3_ip" },
	{ 0x936c7caf, "perf_trace_buf_alloc" },
	{ 0xb1379225, "perf_trace_run_bpf_submit" },
	{ 0xe0c3e189, "blk_revalidate_disk_zones" },
	{ 0xa423ff4, "device_add" },
	{ 0x24eef9d8, "string_get_size" },
	{ 0x8c8569cb, "kstrtoint" },
	{ 0x860efa2c, "mutex_lock" },
	{ 0xe67ee29, "sdev_prefix_printk" },
	{ 0xd985dc99, "mempool_free_pages" },
	{ 0x85abc85f, "strncmp" },
	{ 0x29c0a481, "scsi_report_opcode" },
	{ 0x40eaed1, "trace_event_reg" },
	{ 0xf9a06e0e, "ida_free" },
	{ 0x2b972112, "driver_unregister" },
	{ 0xaf3dd7dc, "scsi_logging_level" },
	{ 0x5e4430de, "class_unregister" },
	{ 0x446c1591, "del_gendisk" },
	{ 0xca327bec, "blk_queue_max_discard_sectors" },
	{ 0x564405cb, "__cpu_online_mask" },
	{ 0x9f1e221f, "kmalloc_large" },
	{ 0x7a8d8031, "blk_queue_zone_write_granularity" },
	{ 0xf0ea2318, "__mutex_init" },
	{ 0x846bb62, "device_del" },
	{ 0x124bad4d, "kstrtobool" },
	{ 0xd96de8cb, "__sysfs_match_string" },
	{ 0x5c3c7387, "kstrtoull" },
	{ 0x12ded57a, "param_ops_string" },
	{ 0xfe34b112, "disk_alloc_independent_access_ranges" },
	{ 0xb6129768, "scsi_alloc_sgtables" },
	{ 0xe798236d, "jiffies" },
	{ 0x6675c216, "scsi_print_command" },
	{ 0xdb0d19de, "bpf_trace_run3" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x665a8698, "blk_queue_alignment_offset" },
	{ 0xc00153b9, "blk_queue_chunk_sectors" },
	{ 0xbc4a0d93, "blk_queue_max_write_zeroes_sectors" },
	{ 0xaf81c1aa, "trace_event_buffer_reserve" },
	{ 0x86a8fb71, "mutex_unlock" },
	{ 0x720a27a7, "__register_blkdev" },
	{ 0x92610d7e, "scmd_printk" },
	{ 0x3fa30bd2, "scsi_execute_cmd" },
	{ 0xb77c7e79, "scsi_free_sgtables" },
	{ 0x7164b072, "disk_set_independent_access_ranges" },
	{ 0x10187997, "scsi_mode_select" },
	{ 0xc62ab2bc, "mempool_destroy" },
	{ 0xc0859572, "disk_check_media_change" },
	{ 0x7ffb53c8, "blk_queue_io_min" },
	{ 0x52cce5a0, "scsi_ioctl_block_when_processing_errors" },
	{ 0x7c09505d, "blkdev_compat_ptr_ioctl" },
	{ 0x86f48f92, "kmalloc_trace" },
	{ 0x7aa1756e, "kvfree" },
	{ 0xacc7083f, "t10_pi_type1_ip" },
	{ 0xff557e80, "trace_handle_return" },
	{ 0x613febc3, "class_register" },
	{ 0xf9a482f9, "msleep" },
	{ 0xb2006757, "blk_queue_rq_timeout" },
	{ 0x7ee9199d, "scsi_failures_reset_retries" },
	{ 0x74bf2e01, "scsi_pr_type_to_block" },
	{ 0xc0a20c7a, "blk_req_zone_write_trylock" },
	{ 0x1dadd920, "__kmalloc" },
	{ 0xfb0e0d0b, "kmalloc_caches" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x766a0927, "mempool_alloc_pages" },
	{ 0xc7da9f07, "scsi_set_medium_removal" },
	{ 0x50b93b95, "module_layout" },
};

MODULE_INFO(depends, "t10-pi");


MODULE_INFO(srcversion, "6384604F861D24336AC8CD3");
MODULE_INFO(rhelversion, "9.99");
