#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(ipt_alloc_initial_table, "_gpl", "");
KSYMTAB_FUNC(ipt_register_table, "", "");
KSYMTAB_FUNC(ipt_unregister_table_pre_exit, "", "");
KSYMTAB_FUNC(ipt_unregister_table_exit, "", "");
KSYMTAB_FUNC(ipt_do_table, "", "");

SYMBOL_CRC(ipt_alloc_initial_table, 0x6556dada, "_gpl");
SYMBOL_CRC(ipt_register_table, 0x5ee57b15, "");
SYMBOL_CRC(ipt_unregister_table_pre_exit, 0xa0b8d6af, "");
SYMBOL_CRC(ipt_unregister_table_exit, 0x80191baf, "");
SYMBOL_CRC(ipt_do_table, 0xe8fb9832, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xabd94526, "xt_find_table" },
	{ 0x74c134b9, "__sw_hweight32" },
	{ 0xb9b806c1, "nf_unregister_net_hooks" },
	{ 0x1517fc1e, "register_pernet_subsys" },
	{ 0x283b713d, "xt_register_targets" },
	{ 0x5ccd8c02, "nf_register_sockopt" },
	{ 0xaa105c16, "xt_unregister_targets" },
	{ 0xc9a54c23, "unregister_pernet_subsys" },
	{ 0xdd35b85e, "xt_proto_fini" },
	{ 0xd697b231, "xt_proto_init" },
	{ 0xc4fef10e, "nf_unregister_sockopt" },
	{ 0x1dadd920, "__kmalloc" },
	{ 0x9b8d07aa, "strnlen" },
	{ 0x12882ee6, "sized_strscpy" },
	{ 0xb35e1527, "__fortify_panic" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0x92997ed8, "_printk" },
	{ 0x9c995c69, "xt_percpu_counter_alloc" },
	{ 0x25de2e69, "xt_request_find_match" },
	{ 0xc75a6f0b, "xt_check_match" },
	{ 0xa7e2dd7e, "module_put" },
	{ 0xbfacb837, "xt_percpu_counter_free" },
	{ 0x8df9661d, "xt_request_find_target" },
	{ 0xbe5a01ae, "xt_check_target" },
	{ 0x40a9b349, "vzalloc" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x2548c032, "__cpu_possible_mask" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x5ecfeec6, "__per_cpu_offset" },
	{ 0x807d2b2c, "xt_recseq" },
	{ 0x7aca8b9f, "klp_sched_try_switch_key" },
	{ 0x800473f, "__cond_resched" },
	{ 0xb9825984, "__klp_sched_try_switch" },
	{ 0xc5c8b56c, "raw_copy_to_user" },
	{ 0xcd5236ec, "xt_match_to_user" },
	{ 0x999e8297, "vfree" },
	{ 0xd2432293, "xt_target_to_user" },
	{ 0x7dc67db6, "xt_unregister_table" },
	{ 0xe204e042, "xt_free_table_info" },
	{ 0xcb3e91cc, "xt_counters_alloc" },
	{ 0x1dccea58, "xt_request_find_table_lock" },
	{ 0x61408ab4, "xt_table_unlock" },
	{ 0x963e881d, "xt_replace_table" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0xd3fcc511, "xt_tee_enabled" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x70c52dc5, "nf_skb_duplicated" },
	{ 0x83a142e8, "nf_log_trace" },
	{ 0xd7f5fcd, "xt_alloc_entry_offsets" },
	{ 0xd87ae60d, "xt_check_entry_offsets" },
	{ 0x7aa1756e, "kvfree" },
	{ 0x3bf9d084, "xt_check_table_hooks" },
	{ 0xfef779fa, "xt_find_jump_offset" },
	{ 0x977fd4bf, "xt_alloc_table_info" },
	{ 0x236c8c64, "memcpy" },
	{ 0x73c850d7, "xt_register_table" },
	{ 0xe35fb609, "kmemdup" },
	{ 0x8010ea5e, "nf_register_net_hooks" },
	{ 0xa3b0d94, "raw_copy_from_user" },
	{ 0x7682ba4e, "__copy_overflow" },
	{ 0x78d706df, "ns_capable" },
	{ 0x3802d815, "xt_find_table_lock" },
	{ 0xddf68fc6, "xt_find_revision" },
	{ 0xa24f23d8, "__request_module" },
	{ 0xf6abeb06, "xt_copy_counters" },
	{ 0x50b93b95, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "C0ADA7ADAC31C96F46BEC74");
MODULE_INFO(rhelversion, "9.99");
