#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(mlx5_core_uplink_netdev_event_replay, "", "");
KSYMTAB_FUNC(mlx5_core_mp_event_replay, "", "");
KSYMTAB_FUNC(mlx5_is_roce_on, "", "");
KSYMTAB_FUNC(mlx5_vf_get_core_dev, "", "");
KSYMTAB_FUNC(mlx5_vf_put_core_dev, "", "");
KSYMTAB_FUNC(mlx5_cmd_out_err, "", "");
KSYMTAB_FUNC(mlx5_cmd_check, "", "");
KSYMTAB_FUNC(mlx5_cmd_do, "", "");
KSYMTAB_FUNC(mlx5_cmd_exec, "", "");
KSYMTAB_FUNC(mlx5_cmd_exec_polling, "", "");
KSYMTAB_FUNC(mlx5_cmd_init_async_ctx, "", "");
KSYMTAB_FUNC(mlx5_cmd_cleanup_async_ctx, "", "");
KSYMTAB_FUNC(mlx5_cmd_exec_cb, "", "");
KSYMTAB_DATA(mlx5_debugfs_root, "", "");
KSYMTAB_FUNC(mlx5_debugfs_get_dev_root, "", "");
KSYMTAB_FUNC(mlx5_qp_debugfs_init, "", "");
KSYMTAB_FUNC(mlx5_qp_debugfs_cleanup, "", "");
KSYMTAB_FUNC(mlx5_debug_qp_add, "", "");
KSYMTAB_FUNC(mlx5_debug_qp_remove, "", "");
KSYMTAB_FUNC(mlx5_core_query_vendor_id, "", "");
KSYMTAB_FUNC(mlx5_eq_enable, "", "");
KSYMTAB_FUNC(mlx5_eq_disable, "", "");
KSYMTAB_FUNC(mlx5_eq_create_generic, "", "");
KSYMTAB_FUNC(mlx5_eq_destroy_generic, "", "");
KSYMTAB_FUNC(mlx5_eq_get_eqe, "", "");
KSYMTAB_FUNC(mlx5_eq_update_ci, "", "");
KSYMTAB_FUNC(mlx5_comp_eqn_get, "", "");
KSYMTAB_FUNC(mlx5_comp_vectors_max, "", "");
KSYMTAB_FUNC(mlx5_comp_vector_get_cpu, "", "");
KSYMTAB_FUNC(mlx5_eq_notifier_register, "", "");
KSYMTAB_FUNC(mlx5_eq_notifier_unregister, "", "");
KSYMTAB_FUNC(mlx5_get_uars_page, "", "");
KSYMTAB_FUNC(mlx5_put_uars_page, "", "");
KSYMTAB_FUNC(mlx5_alloc_bfreg, "", "");
KSYMTAB_FUNC(mlx5_free_bfreg, "", "");
KSYMTAB_FUNC(mlx5_core_attach_mcg, "", "");
KSYMTAB_FUNC(mlx5_core_detach_mcg, "", "");
KSYMTAB_FUNC(mlx5_create_cq, "", "");
KSYMTAB_FUNC(mlx5_core_create_cq, "", "");
KSYMTAB_FUNC(mlx5_core_destroy_cq, "", "");
KSYMTAB_FUNC(mlx5_core_query_cq, "", "");
KSYMTAB_FUNC(mlx5_core_modify_cq, "", "");
KSYMTAB_FUNC(mlx5_core_modify_cq_moderation, "", "");
KSYMTAB_FUNC(mlx5_frag_buf_alloc_node, "_gpl", "");
KSYMTAB_FUNC(mlx5_frag_buf_free, "_gpl", "");
KSYMTAB_FUNC(mlx5_db_alloc_node, "_gpl", "");
KSYMTAB_FUNC(mlx5_db_free, "_gpl", "");
KSYMTAB_FUNC(mlx5_fill_page_frag_array_perm, "_gpl", "");
KSYMTAB_FUNC(mlx5_fill_page_frag_array, "_gpl", "");
KSYMTAB_FUNC(mlx5_access_reg, "_gpl", "");
KSYMTAB_FUNC(mlx5_core_access_reg, "_gpl", "");
KSYMTAB_FUNC(mlx5_set_port_caps, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_port_ptys, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_ib_port_oper, "", "");
KSYMTAB_FUNC(mlx5_toggle_port_link, "_gpl", "");
KSYMTAB_FUNC(mlx5_set_port_admin_status, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_port_admin_status, "_gpl", "");
KSYMTAB_FUNC(mlx5_set_port_mtu, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_port_max_mtu, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_port_oper_mtu, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_module_eeprom, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_module_eeprom_by_page, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_port_vl_hw_cap, "_gpl", "");
KSYMTAB_FUNC(mlx5_set_port_pause, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_port_pause, "_gpl", "");
KSYMTAB_FUNC(mlx5_set_port_pfc, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_port_pfc, "_gpl", "");
KSYMTAB_FUNC(mlx5_set_port_prio_tc, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_port_prio_tc, "_gpl", "");
KSYMTAB_FUNC(mlx5_set_port_tc_group, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_port_tc_group, "_gpl", "");
KSYMTAB_FUNC(mlx5_set_port_tc_bw_alloc, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_port_tc_bw_alloc, "_gpl", "");
KSYMTAB_FUNC(mlx5_modify_port_ets_rate_limit, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_port_ets_rate_limit, "_gpl", "");
KSYMTAB_FUNC(mlx5_set_port_wol, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_port_wol, "_gpl", "");
KSYMTAB_FUNC(mlx5_core_create_mkey, "", "");
KSYMTAB_FUNC(mlx5_core_destroy_mkey, "", "");
KSYMTAB_FUNC(mlx5_core_query_mkey, "", "");
KSYMTAB_FUNC(mlx5_core_create_psv, "", "");
KSYMTAB_FUNC(mlx5_core_destroy_psv, "", "");
KSYMTAB_FUNC(mlx5_core_get_terminate_scatter_list_mkey, "", "");
KSYMTAB_FUNC(mlx5_core_alloc_pd, "", "");
KSYMTAB_FUNC(mlx5_core_dealloc_pd, "", "");
KSYMTAB_FUNC(mlx5_core_alloc_transport_domain, "", "");
KSYMTAB_FUNC(mlx5_core_dealloc_transport_domain, "", "");
KSYMTAB_FUNC(mlx5_core_create_rq, "", "");
KSYMTAB_FUNC(mlx5_core_modify_rq, "", "");
KSYMTAB_FUNC(mlx5_core_destroy_rq, "", "");
KSYMTAB_FUNC(mlx5_core_query_rq, "", "");
KSYMTAB_FUNC(mlx5_core_modify_sq, "", "");
KSYMTAB_FUNC(mlx5_core_query_sq, "", "");
KSYMTAB_FUNC(mlx5_core_query_sq_state, "_gpl", "");
KSYMTAB_FUNC(mlx5_core_create_tir, "", "");
KSYMTAB_FUNC(mlx5_core_destroy_tir, "", "");
KSYMTAB_FUNC(mlx5_core_create_tis, "", "");
KSYMTAB_FUNC(mlx5_core_modify_tis, "", "");
KSYMTAB_FUNC(mlx5_core_destroy_tis, "", "");
KSYMTAB_FUNC(mlx5_core_create_rqt, "", "");
KSYMTAB_FUNC(mlx5_core_destroy_rqt, "", "");
KSYMTAB_FUNC(mlx5_query_nic_vport_min_inline, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_min_inline, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_nic_vport_mac_address, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_mac_address, "_gpl", "");
KSYMTAB_FUNC(mlx5_modify_nic_vport_mac_address, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_nic_vport_mtu, "_gpl", "");
KSYMTAB_FUNC(mlx5_modify_nic_vport_mtu, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_nic_vport_mac_list, "_gpl", "");
KSYMTAB_FUNC(mlx5_modify_nic_vport_mac_list, "_gpl", "");
KSYMTAB_FUNC(mlx5_modify_nic_vport_vlans, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_nic_vport_system_image_guid, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_nic_vport_node_guid, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_nic_vport_qkey_viol_cntr, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_hca_vport_gid, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_hca_vport_pkey, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_hca_vport_context, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_hca_vport_system_image_guid, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_hca_vport_node_guid, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_nic_vport_promisc, "_gpl", "");
KSYMTAB_FUNC(mlx5_modify_nic_vport_promisc, "_gpl", "");
KSYMTAB_FUNC(mlx5_nic_vport_update_local_lb, "_gpl", "");
KSYMTAB_FUNC(mlx5_nic_vport_query_local_lb, "_gpl", "");
KSYMTAB_FUNC(mlx5_nic_vport_enable_roce, "_gpl", "");
KSYMTAB_FUNC(mlx5_nic_vport_disable_roce, "", "");
KSYMTAB_FUNC(mlx5_core_query_vport_counter, "_gpl", "");
KSYMTAB_FUNC(mlx5_core_modify_hca_vport_context, "_gpl", "");
KSYMTAB_FUNC(mlx5_nic_vport_affiliate_multiport, "_gpl", "");
KSYMTAB_FUNC(mlx5_nic_vport_unaffiliate_multiport, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_nic_system_image_guid, "_gpl", "");
KSYMTAB_FUNC(mlx5_vport_get_other_func_cap, "_gpl", "");
KSYMTAB_FUNC(mlx5_sriov_blocking_notifier_unregister, "", "");
KSYMTAB_FUNC(mlx5_sriov_blocking_notifier_register, "", "");
KSYMTAB_FUNC(mlx5_create_flow_table, "", "");
KSYMTAB_FUNC(mlx5_flow_table_id, "", "");
KSYMTAB_FUNC(mlx5_create_lag_demux_flow_table, "", "");
KSYMTAB_FUNC(mlx5_create_auto_grouped_flow_table, "", "");
KSYMTAB_FUNC(mlx5_create_flow_group, "", "");
KSYMTAB_FUNC(mlx5_add_flow_rules, "", "");
KSYMTAB_FUNC(mlx5_del_flow_rules, "", "");
KSYMTAB_FUNC(mlx5_destroy_flow_table, "", "");
KSYMTAB_FUNC(mlx5_destroy_flow_group, "", "");
KSYMTAB_FUNC(mlx5_get_fdb_sub_ns, "", "");
KSYMTAB_FUNC(mlx5_get_flow_namespace, "", "");
KSYMTAB_FUNC(mlx5_fs_add_rx_underlay_qpn, "", "");
KSYMTAB_FUNC(mlx5_fs_remove_rx_underlay_qpn, "", "");
KSYMTAB_FUNC(mlx5_modify_header_alloc, "", "");
KSYMTAB_FUNC(mlx5_modify_header_dealloc, "", "");
KSYMTAB_FUNC(mlx5_packet_reformat_alloc, "", "");
KSYMTAB_FUNC(mlx5_packet_reformat_dealloc, "", "");
KSYMTAB_FUNC(mlx5_msix_alloc, "", "");
KSYMTAB_FUNC(mlx5_msix_free, "", "");
KSYMTAB_FUNC(mlx5_fc_create, "", "");
KSYMTAB_FUNC(mlx5_fc_id, "", "");
KSYMTAB_FUNC(mlx5_fc_destroy, "", "");
KSYMTAB_FUNC(mlx5_fc_query, "", "");
KSYMTAB_FUNC(mlx5_rl_is_in_range, "", "");
KSYMTAB_FUNC(mlx5_rl_are_equal, "", "");
KSYMTAB_FUNC(mlx5_rl_add_rate_raw, "", "");
KSYMTAB_FUNC(mlx5_rl_remove_rate_raw, "", "");
KSYMTAB_FUNC(mlx5_rl_add_rate, "", "");
KSYMTAB_FUNC(mlx5_rl_remove_rate, "", "");
KSYMTAB_FUNC(mlx5_cmd_create_vport_lag, "", "");
KSYMTAB_FUNC(mlx5_cmd_destroy_vport_lag, "", "");
KSYMTAB_FUNC(mlx5_lag_is_roce, "", "");
KSYMTAB_FUNC(mlx5_lag_is_active, "", "");
KSYMTAB_FUNC(mlx5_lag_mode_is_hash, "", "");
KSYMTAB_FUNC(mlx5_lag_is_master, "", "");
KSYMTAB_FUNC(mlx5_lag_is_sriov, "", "");
KSYMTAB_FUNC(mlx5_lag_is_shared_fdb, "", "");
KSYMTAB_FUNC(mlx5_lag_get_roce_netdev, "", "");
KSYMTAB_FUNC(mlx5_lag_get_slave_port, "", "");
KSYMTAB_FUNC(mlx5_lag_get_num_ports, "", "");
KSYMTAB_FUNC(mlx5_lag_get_next_peer_mdev, "", "");
KSYMTAB_FUNC(mlx5_lag_query_cong_counters, "", "");
KSYMTAB_FUNC(mlx5_notifier_register, "", "");
KSYMTAB_FUNC(mlx5_notifier_unregister, "", "");
KSYMTAB_FUNC(mlx5_blocking_notifier_register, "", "");
KSYMTAB_FUNC(mlx5_blocking_notifier_unregister, "", "");
KSYMTAB_FUNC(mlx5_core_reserved_gids_count, "_gpl", "");
KSYMTAB_FUNC(mlx5_core_roce_gid_set, "", "");
KSYMTAB_FUNC(mlx5_dm_sw_icm_alloc, "_gpl", "");
KSYMTAB_FUNC(mlx5_dm_sw_icm_dealloc, "_gpl", "");
KSYMTAB_DATA(__tracepoint_mlx5_fs_add_ft, "", "");
KSYMTAB_FUNC(__traceiter_mlx5_fs_add_ft, "", "");
KSYMTAB_DATA(__SCK__tp_func_mlx5_fs_add_ft, "", "");
KSYMTAB_DATA(__tracepoint_mlx5_fs_del_ft, "", "");
KSYMTAB_FUNC(__traceiter_mlx5_fs_del_ft, "", "");
KSYMTAB_DATA(__SCK__tp_func_mlx5_fs_del_ft, "", "");
KSYMTAB_DATA(__tracepoint_mlx5_fs_add_fg, "", "");
KSYMTAB_FUNC(__traceiter_mlx5_fs_add_fg, "", "");
KSYMTAB_DATA(__SCK__tp_func_mlx5_fs_add_fg, "", "");
KSYMTAB_DATA(__tracepoint_mlx5_fs_del_fg, "", "");
KSYMTAB_FUNC(__traceiter_mlx5_fs_del_fg, "", "");
KSYMTAB_DATA(__SCK__tp_func_mlx5_fs_del_fg, "", "");
KSYMTAB_DATA(__tracepoint_mlx5_fs_set_fte, "", "");
KSYMTAB_FUNC(__traceiter_mlx5_fs_set_fte, "", "");
KSYMTAB_DATA(__SCK__tp_func_mlx5_fs_set_fte, "", "");
KSYMTAB_DATA(__tracepoint_mlx5_fs_del_fte, "", "");
KSYMTAB_FUNC(__traceiter_mlx5_fs_del_fte, "", "");
KSYMTAB_DATA(__SCK__tp_func_mlx5_fs_del_fte, "", "");
KSYMTAB_DATA(__tracepoint_mlx5_fs_add_rule, "", "");
KSYMTAB_FUNC(__traceiter_mlx5_fs_add_rule, "", "");
KSYMTAB_DATA(__SCK__tp_func_mlx5_fs_add_rule, "", "");
KSYMTAB_DATA(__tracepoint_mlx5_fs_del_rule, "", "");
KSYMTAB_FUNC(__traceiter_mlx5_fs_del_rule, "", "");
KSYMTAB_DATA(__SCK__tp_func_mlx5_fs_del_rule, "", "");
KSYMTAB_DATA(__tracepoint_mlx5_fw, "", "");
KSYMTAB_FUNC(__traceiter_mlx5_fw, "", "");
KSYMTAB_DATA(__SCK__tp_func_mlx5_fw, "", "");
KSYMTAB_FUNC(mlx5_rsc_dump_cmd_create, "", "");
KSYMTAB_FUNC(mlx5_rsc_dump_cmd_destroy, "", "");
KSYMTAB_FUNC(mlx5_rsc_dump_next, "", "");
KSYMTAB_FUNC(mlx5_lag_is_mpesw, "", "");
KSYMTAB_FUNC(mlx5_eswitch_mode, "_gpl", "");
KSYMTAB_FUNC(mlx5_eswitch_get_encap_mode, "", "");
KSYMTAB_FUNC(mlx5_eswitch_get_total_vports, "_gpl", "");
KSYMTAB_FUNC(mlx5_eswitch_get_core_dev, "", "");
KSYMTAB_FUNC(mlx5_eswitch_add_send_to_vport_rule, "", "");
KSYMTAB_FUNC(mlx5_eswitch_register_vport_reps, "", "");
KSYMTAB_FUNC(mlx5_eswitch_unregister_vport_reps, "", "");
KSYMTAB_FUNC(mlx5_eswitch_get_proto_dev, "", "");
KSYMTAB_FUNC(mlx5_eswitch_uplink_get_proto_dev, "", "");
KSYMTAB_FUNC(mlx5_eswitch_vport_rep, "", "");
KSYMTAB_FUNC(mlx5_eswitch_reg_c1_loopback_enabled, "", "");
KSYMTAB_FUNC(mlx5_eswitch_vport_match_metadata_enabled, "", "");
KSYMTAB_FUNC(mlx5_eswitch_get_vport_metadata_for_match, "", "");
KSYMTAB_FUNC(mlx5_eswitch_get_vport_metadata_for_set, "", "");
KSYMTAB_FUNC(mlx5_mpfs_add_mac, "", "");
KSYMTAB_FUNC(mlx5_mpfs_del_mac, "", "");
KSYMTAB_FUNC(mlx5_rdma_rn_get_params, "", "");
KSYMTAB_FUNC(mlx5_fpga_sbu_conn_create, "", "");
KSYMTAB_FUNC(mlx5_fpga_sbu_conn_destroy, "", "");
KSYMTAB_FUNC(mlx5_fpga_sbu_conn_sendmsg, "", "");
KSYMTAB_FUNC(mlx5_fpga_mem_read, "", "");
KSYMTAB_FUNC(mlx5_fpga_mem_write, "", "");
KSYMTAB_FUNC(mlx5_fpga_get_sbu_caps, "", "");
KSYMTAB_FUNC(mlx5_macsec_del_roce_rule, "_gpl", "");
KSYMTAB_FUNC(mlx5_macsec_add_roce_rule, "_gpl", "");
KSYMTAB_FUNC(mlx5_macsec_add_roce_sa_rules, "_gpl", "");
KSYMTAB_FUNC(mlx5_macsec_del_roce_sa_rules, "_gpl", "");
KSYMTAB_FUNC(mlx5_ipsec_device_caps, "_gpl", "");

SYMBOL_CRC(mlx5_core_uplink_netdev_event_replay, 0xabbc8c96, "");
SYMBOL_CRC(mlx5_core_mp_event_replay, 0x96ad4bd8, "");
SYMBOL_CRC(mlx5_is_roce_on, 0x50c3d2f0, "");
SYMBOL_CRC(mlx5_vf_get_core_dev, 0xde111455, "");
SYMBOL_CRC(mlx5_vf_put_core_dev, 0x7aa21729, "");
SYMBOL_CRC(mlx5_cmd_out_err, 0xaf66f752, "");
SYMBOL_CRC(mlx5_cmd_check, 0x1c930ddf, "");
SYMBOL_CRC(mlx5_cmd_do, 0xf24e640a, "");
SYMBOL_CRC(mlx5_cmd_exec, 0x828bf24e, "");
SYMBOL_CRC(mlx5_cmd_exec_polling, 0x99a534b9, "");
SYMBOL_CRC(mlx5_cmd_init_async_ctx, 0xfa7f56f0, "");
SYMBOL_CRC(mlx5_cmd_cleanup_async_ctx, 0xa6288c1e, "");
SYMBOL_CRC(mlx5_cmd_exec_cb, 0x081b3271, "");
SYMBOL_CRC(mlx5_debugfs_root, 0xbe2cfa86, "");
SYMBOL_CRC(mlx5_debugfs_get_dev_root, 0xdbecdc38, "");
SYMBOL_CRC(mlx5_qp_debugfs_init, 0xb43a47a0, "");
SYMBOL_CRC(mlx5_qp_debugfs_cleanup, 0x7f2199a8, "");
SYMBOL_CRC(mlx5_debug_qp_add, 0xd26cdb4c, "");
SYMBOL_CRC(mlx5_debug_qp_remove, 0xcd764c37, "");
SYMBOL_CRC(mlx5_core_query_vendor_id, 0x7ae1d56c, "");
SYMBOL_CRC(mlx5_eq_enable, 0xc4619c13, "");
SYMBOL_CRC(mlx5_eq_disable, 0x69600c28, "");
SYMBOL_CRC(mlx5_eq_create_generic, 0xe1d14f27, "");
SYMBOL_CRC(mlx5_eq_destroy_generic, 0x9d127989, "");
SYMBOL_CRC(mlx5_eq_get_eqe, 0x872aabd3, "");
SYMBOL_CRC(mlx5_eq_update_ci, 0x6f431ee7, "");
SYMBOL_CRC(mlx5_comp_eqn_get, 0xfe8debd5, "");
SYMBOL_CRC(mlx5_comp_vectors_max, 0xb78d1aea, "");
SYMBOL_CRC(mlx5_comp_vector_get_cpu, 0x70e0ada9, "");
SYMBOL_CRC(mlx5_eq_notifier_register, 0x35514d30, "");
SYMBOL_CRC(mlx5_eq_notifier_unregister, 0xa53845fa, "");
SYMBOL_CRC(mlx5_get_uars_page, 0xb38e00ee, "");
SYMBOL_CRC(mlx5_put_uars_page, 0xaf68b7ac, "");
SYMBOL_CRC(mlx5_alloc_bfreg, 0x2c7844ff, "");
SYMBOL_CRC(mlx5_free_bfreg, 0xabf04c2d, "");
SYMBOL_CRC(mlx5_core_attach_mcg, 0x3cbf2385, "");
SYMBOL_CRC(mlx5_core_detach_mcg, 0xcdfc9337, "");
SYMBOL_CRC(mlx5_create_cq, 0xd1afaa48, "");
SYMBOL_CRC(mlx5_core_create_cq, 0xa4bfc25f, "");
SYMBOL_CRC(mlx5_core_destroy_cq, 0x49943f4d, "");
SYMBOL_CRC(mlx5_core_query_cq, 0x485be77e, "");
SYMBOL_CRC(mlx5_core_modify_cq, 0x56e51de9, "");
SYMBOL_CRC(mlx5_core_modify_cq_moderation, 0x5e901489, "");
SYMBOL_CRC(mlx5_frag_buf_alloc_node, 0x84e18b51, "_gpl");
SYMBOL_CRC(mlx5_frag_buf_free, 0x23a6415c, "_gpl");
SYMBOL_CRC(mlx5_db_alloc_node, 0x32d02d7d, "_gpl");
SYMBOL_CRC(mlx5_db_free, 0x472ed7ea, "_gpl");
SYMBOL_CRC(mlx5_fill_page_frag_array_perm, 0x81aadc6a, "_gpl");
SYMBOL_CRC(mlx5_fill_page_frag_array, 0x072460c4, "_gpl");
SYMBOL_CRC(mlx5_access_reg, 0xd943d5c8, "_gpl");
SYMBOL_CRC(mlx5_core_access_reg, 0x59ddeb43, "_gpl");
SYMBOL_CRC(mlx5_set_port_caps, 0xdf2a3a69, "_gpl");
SYMBOL_CRC(mlx5_query_port_ptys, 0x2d1275d8, "_gpl");
SYMBOL_CRC(mlx5_query_ib_port_oper, 0xc8766bff, "");
SYMBOL_CRC(mlx5_toggle_port_link, 0x1ed5db5d, "_gpl");
SYMBOL_CRC(mlx5_set_port_admin_status, 0x438ee1ef, "_gpl");
SYMBOL_CRC(mlx5_query_port_admin_status, 0xa322e9ed, "_gpl");
SYMBOL_CRC(mlx5_set_port_mtu, 0x117506d0, "_gpl");
SYMBOL_CRC(mlx5_query_port_max_mtu, 0xc89c9f64, "_gpl");
SYMBOL_CRC(mlx5_query_port_oper_mtu, 0xe8919b1d, "_gpl");
SYMBOL_CRC(mlx5_query_module_eeprom, 0x428ea0dc, "_gpl");
SYMBOL_CRC(mlx5_query_module_eeprom_by_page, 0x22b962b4, "_gpl");
SYMBOL_CRC(mlx5_query_port_vl_hw_cap, 0x3a51c8b3, "_gpl");
SYMBOL_CRC(mlx5_set_port_pause, 0x29ad727f, "_gpl");
SYMBOL_CRC(mlx5_query_port_pause, 0x89cbf91d, "_gpl");
SYMBOL_CRC(mlx5_set_port_pfc, 0xcce6f60c, "_gpl");
SYMBOL_CRC(mlx5_query_port_pfc, 0xc0632feb, "_gpl");
SYMBOL_CRC(mlx5_set_port_prio_tc, 0x34066fd2, "_gpl");
SYMBOL_CRC(mlx5_query_port_prio_tc, 0x785947fd, "_gpl");
SYMBOL_CRC(mlx5_set_port_tc_group, 0x6b0ae214, "_gpl");
SYMBOL_CRC(mlx5_query_port_tc_group, 0xa213cd93, "_gpl");
SYMBOL_CRC(mlx5_set_port_tc_bw_alloc, 0x3d134bdc, "_gpl");
SYMBOL_CRC(mlx5_query_port_tc_bw_alloc, 0x9de9c902, "_gpl");
SYMBOL_CRC(mlx5_modify_port_ets_rate_limit, 0x77b101ee, "_gpl");
SYMBOL_CRC(mlx5_query_port_ets_rate_limit, 0x8a4163bd, "_gpl");
SYMBOL_CRC(mlx5_set_port_wol, 0xb473fe19, "_gpl");
SYMBOL_CRC(mlx5_query_port_wol, 0xe184ce3b, "_gpl");
SYMBOL_CRC(mlx5_core_create_mkey, 0x1fda94be, "");
SYMBOL_CRC(mlx5_core_destroy_mkey, 0xa7a4e95f, "");
SYMBOL_CRC(mlx5_core_query_mkey, 0x030b5cbe, "");
SYMBOL_CRC(mlx5_core_create_psv, 0x160c6158, "");
SYMBOL_CRC(mlx5_core_destroy_psv, 0x4756af7b, "");
SYMBOL_CRC(mlx5_core_get_terminate_scatter_list_mkey, 0xef1288d0, "");
SYMBOL_CRC(mlx5_core_alloc_pd, 0x6c52ed39, "");
SYMBOL_CRC(mlx5_core_dealloc_pd, 0xa0a9a1de, "");
SYMBOL_CRC(mlx5_core_alloc_transport_domain, 0x64173975, "");
SYMBOL_CRC(mlx5_core_dealloc_transport_domain, 0x5b916f47, "");
SYMBOL_CRC(mlx5_core_create_rq, 0x0b882914, "");
SYMBOL_CRC(mlx5_core_modify_rq, 0xe65707f5, "");
SYMBOL_CRC(mlx5_core_destroy_rq, 0xf38cbea2, "");
SYMBOL_CRC(mlx5_core_query_rq, 0xa8f4e0d6, "");
SYMBOL_CRC(mlx5_core_modify_sq, 0x64e26e05, "");
SYMBOL_CRC(mlx5_core_query_sq, 0x2a418926, "");
SYMBOL_CRC(mlx5_core_query_sq_state, 0x2934aa86, "_gpl");
SYMBOL_CRC(mlx5_core_create_tir, 0x82c83029, "");
SYMBOL_CRC(mlx5_core_destroy_tir, 0xb6c41a73, "");
SYMBOL_CRC(mlx5_core_create_tis, 0x3ff7775c, "");
SYMBOL_CRC(mlx5_core_modify_tis, 0xea35efba, "");
SYMBOL_CRC(mlx5_core_destroy_tis, 0x9d3aed43, "");
SYMBOL_CRC(mlx5_core_create_rqt, 0xbd201b27, "");
SYMBOL_CRC(mlx5_core_destroy_rqt, 0xc64aa656, "");
SYMBOL_CRC(mlx5_query_nic_vport_min_inline, 0x634c8e0f, "_gpl");
SYMBOL_CRC(mlx5_query_min_inline, 0x65f8f676, "_gpl");
SYMBOL_CRC(mlx5_query_nic_vport_mac_address, 0x5b65a095, "_gpl");
SYMBOL_CRC(mlx5_query_mac_address, 0x72e154bd, "_gpl");
SYMBOL_CRC(mlx5_modify_nic_vport_mac_address, 0x357e874e, "_gpl");
SYMBOL_CRC(mlx5_query_nic_vport_mtu, 0x0c384535, "_gpl");
SYMBOL_CRC(mlx5_modify_nic_vport_mtu, 0xb53577a8, "_gpl");
SYMBOL_CRC(mlx5_query_nic_vport_mac_list, 0x457ecba8, "_gpl");
SYMBOL_CRC(mlx5_modify_nic_vport_mac_list, 0xac4820cb, "_gpl");
SYMBOL_CRC(mlx5_modify_nic_vport_vlans, 0x310a472b, "_gpl");
SYMBOL_CRC(mlx5_query_nic_vport_system_image_guid, 0xf1bfecb7, "_gpl");
SYMBOL_CRC(mlx5_query_nic_vport_node_guid, 0xd4361e7d, "_gpl");
SYMBOL_CRC(mlx5_query_nic_vport_qkey_viol_cntr, 0xfdc0458f, "_gpl");
SYMBOL_CRC(mlx5_query_hca_vport_gid, 0xcb83c74e, "_gpl");
SYMBOL_CRC(mlx5_query_hca_vport_pkey, 0x5ab48d49, "_gpl");
SYMBOL_CRC(mlx5_query_hca_vport_context, 0xce3756c3, "_gpl");
SYMBOL_CRC(mlx5_query_hca_vport_system_image_guid, 0x04b58ca4, "_gpl");
SYMBOL_CRC(mlx5_query_hca_vport_node_guid, 0x5e8b1707, "_gpl");
SYMBOL_CRC(mlx5_query_nic_vport_promisc, 0x57dde999, "_gpl");
SYMBOL_CRC(mlx5_modify_nic_vport_promisc, 0x0df37d41, "_gpl");
SYMBOL_CRC(mlx5_nic_vport_update_local_lb, 0xb7404f49, "_gpl");
SYMBOL_CRC(mlx5_nic_vport_query_local_lb, 0xfc019ea5, "_gpl");
SYMBOL_CRC(mlx5_nic_vport_enable_roce, 0xf7c5f8af, "_gpl");
SYMBOL_CRC(mlx5_nic_vport_disable_roce, 0x162e17a9, "");
SYMBOL_CRC(mlx5_core_query_vport_counter, 0xa5fbb175, "_gpl");
SYMBOL_CRC(mlx5_core_modify_hca_vport_context, 0x21a2284a, "_gpl");
SYMBOL_CRC(mlx5_nic_vport_affiliate_multiport, 0x0dcac025, "_gpl");
SYMBOL_CRC(mlx5_nic_vport_unaffiliate_multiport, 0x35d65fbd, "_gpl");
SYMBOL_CRC(mlx5_query_nic_system_image_guid, 0xc39a2114, "_gpl");
SYMBOL_CRC(mlx5_vport_get_other_func_cap, 0xe3c591c7, "_gpl");
SYMBOL_CRC(mlx5_sriov_blocking_notifier_unregister, 0x433b8d0c, "");
SYMBOL_CRC(mlx5_sriov_blocking_notifier_register, 0x3f304bd1, "");
SYMBOL_CRC(mlx5_create_flow_table, 0x43764d59, "");
SYMBOL_CRC(mlx5_flow_table_id, 0xc8737e65, "");
SYMBOL_CRC(mlx5_create_lag_demux_flow_table, 0xc29afe01, "");
SYMBOL_CRC(mlx5_create_auto_grouped_flow_table, 0x7cb452c2, "");
SYMBOL_CRC(mlx5_create_flow_group, 0x7deb6ac6, "");
SYMBOL_CRC(mlx5_add_flow_rules, 0x5e445cb1, "");
SYMBOL_CRC(mlx5_del_flow_rules, 0x8b8879e3, "");
SYMBOL_CRC(mlx5_destroy_flow_table, 0x51371a99, "");
SYMBOL_CRC(mlx5_destroy_flow_group, 0x04641715, "");
SYMBOL_CRC(mlx5_get_fdb_sub_ns, 0x8af702f2, "");
SYMBOL_CRC(mlx5_get_flow_namespace, 0x60ac7d3e, "");
SYMBOL_CRC(mlx5_fs_add_rx_underlay_qpn, 0x732a89dc, "");
SYMBOL_CRC(mlx5_fs_remove_rx_underlay_qpn, 0xe2fa23b5, "");
SYMBOL_CRC(mlx5_modify_header_alloc, 0xf166e7f4, "");
SYMBOL_CRC(mlx5_modify_header_dealloc, 0xafbb64a6, "");
SYMBOL_CRC(mlx5_packet_reformat_alloc, 0x0c86b233, "");
SYMBOL_CRC(mlx5_packet_reformat_dealloc, 0x18efbb07, "");
SYMBOL_CRC(mlx5_msix_alloc, 0xa1912640, "");
SYMBOL_CRC(mlx5_msix_free, 0x3f2b7aab, "");
SYMBOL_CRC(mlx5_fc_create, 0x18abb5c8, "");
SYMBOL_CRC(mlx5_fc_id, 0x96eb2c99, "");
SYMBOL_CRC(mlx5_fc_destroy, 0xad3ca194, "");
SYMBOL_CRC(mlx5_fc_query, 0x51701e82, "");
SYMBOL_CRC(mlx5_rl_is_in_range, 0x090fb16a, "");
SYMBOL_CRC(mlx5_rl_are_equal, 0x61492bb7, "");
SYMBOL_CRC(mlx5_rl_add_rate_raw, 0xe02bedf0, "");
SYMBOL_CRC(mlx5_rl_remove_rate_raw, 0xec7a0555, "");
SYMBOL_CRC(mlx5_rl_add_rate, 0xa9491b02, "");
SYMBOL_CRC(mlx5_rl_remove_rate, 0x8a3b7f5d, "");
SYMBOL_CRC(mlx5_cmd_create_vport_lag, 0xbcbb80b8, "");
SYMBOL_CRC(mlx5_cmd_destroy_vport_lag, 0x2130a168, "");
SYMBOL_CRC(mlx5_lag_is_roce, 0x5efad253, "");
SYMBOL_CRC(mlx5_lag_is_active, 0x886f5197, "");
SYMBOL_CRC(mlx5_lag_mode_is_hash, 0xe25bd599, "");
SYMBOL_CRC(mlx5_lag_is_master, 0x70cadef3, "");
SYMBOL_CRC(mlx5_lag_is_sriov, 0xb7865a6e, "");
SYMBOL_CRC(mlx5_lag_is_shared_fdb, 0x835f5ad9, "");
SYMBOL_CRC(mlx5_lag_get_roce_netdev, 0xf750450d, "");
SYMBOL_CRC(mlx5_lag_get_slave_port, 0x9182e217, "");
SYMBOL_CRC(mlx5_lag_get_num_ports, 0x774e694a, "");
SYMBOL_CRC(mlx5_lag_get_next_peer_mdev, 0xf242df6d, "");
SYMBOL_CRC(mlx5_lag_query_cong_counters, 0x5bc92124, "");
SYMBOL_CRC(mlx5_notifier_register, 0xae05699b, "");
SYMBOL_CRC(mlx5_notifier_unregister, 0x84f7b44f, "");
SYMBOL_CRC(mlx5_blocking_notifier_register, 0x37b3b80e, "");
SYMBOL_CRC(mlx5_blocking_notifier_unregister, 0x7915b1e4, "");
SYMBOL_CRC(mlx5_core_reserved_gids_count, 0x327a53c4, "_gpl");
SYMBOL_CRC(mlx5_core_roce_gid_set, 0x4501c9e5, "");
SYMBOL_CRC(mlx5_dm_sw_icm_alloc, 0xd4e74955, "_gpl");
SYMBOL_CRC(mlx5_dm_sw_icm_dealloc, 0x659f55ed, "_gpl");
SYMBOL_CRC(__tracepoint_mlx5_fs_add_ft, 0x73fc1d8e, "");
SYMBOL_CRC(__traceiter_mlx5_fs_add_ft, 0x63f5a6fa, "");
SYMBOL_CRC(__SCK__tp_func_mlx5_fs_add_ft, 0x3475821f, "");
SYMBOL_CRC(__tracepoint_mlx5_fs_del_ft, 0xdae8aa4d, "");
SYMBOL_CRC(__traceiter_mlx5_fs_del_ft, 0xb5ec5a13, "");
SYMBOL_CRC(__SCK__tp_func_mlx5_fs_del_ft, 0x9d6135dc, "");
SYMBOL_CRC(__tracepoint_mlx5_fs_add_fg, 0x12135c1c, "");
SYMBOL_CRC(__traceiter_mlx5_fs_add_fg, 0xaf335351, "");
SYMBOL_CRC(__SCK__tp_func_mlx5_fs_add_fg, 0x559ac38d, "");
SYMBOL_CRC(__tracepoint_mlx5_fs_del_fg, 0xbb07ebdf, "");
SYMBOL_CRC(__traceiter_mlx5_fs_del_fg, 0x7bbc902c, "");
SYMBOL_CRC(__SCK__tp_func_mlx5_fs_del_fg, 0xfc8e744e, "");
SYMBOL_CRC(__tracepoint_mlx5_fs_set_fte, 0xf52e1946, "");
SYMBOL_CRC(__traceiter_mlx5_fs_set_fte, 0xe46aabe3, "");
SYMBOL_CRC(__SCK__tp_func_mlx5_fs_set_fte, 0x7261330b, "");
SYMBOL_CRC(__tracepoint_mlx5_fs_del_fte, 0x6cd5a182, "");
SYMBOL_CRC(__traceiter_mlx5_fs_del_fte, 0xdc0279c1, "");
SYMBOL_CRC(__SCK__tp_func_mlx5_fs_del_fte, 0xeb9a8bcf, "");
SYMBOL_CRC(__tracepoint_mlx5_fs_add_rule, 0xf06725b6, "");
SYMBOL_CRC(__traceiter_mlx5_fs_add_rule, 0x45d0a6f4, "");
SYMBOL_CRC(__SCK__tp_func_mlx5_fs_add_rule, 0xf88d57b1, "");
SYMBOL_CRC(__tracepoint_mlx5_fs_del_rule, 0x45b52e00, "");
SYMBOL_CRC(__traceiter_mlx5_fs_del_rule, 0x33eb29aa, "");
SYMBOL_CRC(__SCK__tp_func_mlx5_fs_del_rule, 0x4d5f5c07, "");
SYMBOL_CRC(__tracepoint_mlx5_fw, 0x4d62e046, "");
SYMBOL_CRC(__traceiter_mlx5_fw, 0x975eb947, "");
SYMBOL_CRC(__SCK__tp_func_mlx5_fw, 0x7b359a09, "");
SYMBOL_CRC(mlx5_rsc_dump_cmd_create, 0x31218b48, "");
SYMBOL_CRC(mlx5_rsc_dump_cmd_destroy, 0xad6815cd, "");
SYMBOL_CRC(mlx5_rsc_dump_next, 0xdb691f03, "");
SYMBOL_CRC(mlx5_lag_is_mpesw, 0x5c5024ef, "");
SYMBOL_CRC(mlx5_eswitch_mode, 0x2355d3c8, "_gpl");
SYMBOL_CRC(mlx5_eswitch_get_encap_mode, 0x9f3e1d4a, "");
SYMBOL_CRC(mlx5_eswitch_get_total_vports, 0xacd4d4b0, "_gpl");
SYMBOL_CRC(mlx5_eswitch_get_core_dev, 0x12408124, "");
SYMBOL_CRC(mlx5_eswitch_add_send_to_vport_rule, 0xf22af4b5, "");
SYMBOL_CRC(mlx5_eswitch_register_vport_reps, 0x40b4a531, "");
SYMBOL_CRC(mlx5_eswitch_unregister_vport_reps, 0xa482b2f0, "");
SYMBOL_CRC(mlx5_eswitch_get_proto_dev, 0x51cc60be, "");
SYMBOL_CRC(mlx5_eswitch_uplink_get_proto_dev, 0xc1a25e9e, "");
SYMBOL_CRC(mlx5_eswitch_vport_rep, 0x8643af96, "");
SYMBOL_CRC(mlx5_eswitch_reg_c1_loopback_enabled, 0x04d51765, "");
SYMBOL_CRC(mlx5_eswitch_vport_match_metadata_enabled, 0x6dafe68a, "");
SYMBOL_CRC(mlx5_eswitch_get_vport_metadata_for_match, 0x021aa1ee, "");
SYMBOL_CRC(mlx5_eswitch_get_vport_metadata_for_set, 0x9f080750, "");
SYMBOL_CRC(mlx5_mpfs_add_mac, 0xe52dc9d5, "");
SYMBOL_CRC(mlx5_mpfs_del_mac, 0xc11f4e4a, "");
SYMBOL_CRC(mlx5_rdma_rn_get_params, 0x73a12549, "");
SYMBOL_CRC(mlx5_fpga_sbu_conn_create, 0xa830346c, "");
SYMBOL_CRC(mlx5_fpga_sbu_conn_destroy, 0x43955f57, "");
SYMBOL_CRC(mlx5_fpga_sbu_conn_sendmsg, 0x5eac1248, "");
SYMBOL_CRC(mlx5_fpga_mem_read, 0x1ee5cc76, "");
SYMBOL_CRC(mlx5_fpga_mem_write, 0x3323e4d5, "");
SYMBOL_CRC(mlx5_fpga_get_sbu_caps, 0xa7f8f5d7, "");
SYMBOL_CRC(mlx5_macsec_del_roce_rule, 0x42b43a38, "_gpl");
SYMBOL_CRC(mlx5_macsec_add_roce_rule, 0x3d08fdcc, "_gpl");
SYMBOL_CRC(mlx5_macsec_add_roce_sa_rules, 0x49566105, "_gpl");
SYMBOL_CRC(mlx5_macsec_del_roce_sa_rules, 0x390b982c, "_gpl");
SYMBOL_CRC(mlx5_ipsec_device_caps, 0x420152ec, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x92cb609e, "__tracepoint_xdp_exception" },
	{ 0x95caee0c, "__inet_lookup_established" },
	{ 0xc9b87eea, "xsk_tx_completed" },
	{ 0xc7e44e72, "alloc_etherdev_mqs" },
	{ 0x5f2ac799, "netdev_lower_get_next" },
	{ 0x240e84c8, "secpath_set" },
	{ 0xd54b212, "flow_block_cb_lookup" },
	{ 0xf1a3ae2d, "pci_save_state" },
	{ 0x747e1439, "xp_dma_sync_for_device_slow" },
	{ 0xc1514a3b, "free_irq" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0x6cd9296f, "devl_rate_leaf_create" },
	{ 0xff7ad1b5, "krealloc" },
	{ 0x78569adf, "ida_alloc_range" },
	{ 0xc45227e6, "xp_alloc" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x9e7d6bd0, "__udelay" },
	{ 0xe21b1153, "devl_unregister" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0x9da09f39, "flow_rule_match_enc_keyid" },
	{ 0xd542439, "__ipv6_addr_type" },
	{ 0xa5da67c, "vmemmap" },
	{ 0xbf9a5a1e, "__init_rwsem" },
	{ 0xa06e587a, "release_firmware" },
	{ 0xfb0d1766, "bpf_prog_put" },
	{ 0x1f24d5d, "page_pool_get_stats" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0x3d4a869, "simple_attr_open" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x9d962e52, "pci_cfg_access_unlock" },
	{ 0xb1312fa5, "xp_dma_map" },
	{ 0x472ed36b, "bpf_trace_run4" },
	{ 0xe72e844b, "__rht_bucket_nested" },
	{ 0xec4201db, "devlink_unregister" },
	{ 0xb381ff9e, "ida_destroy" },
	{ 0xda9dbed3, "skb_copy_bits" },
	{ 0x666a7621, "debugfs_attr_write" },
	{ 0xd999656, "dma_pool_create" },
	{ 0x90cc5e6, "param_ops_uint" },
	{ 0x495231ea, "mul_u64_u64_div_u64" },
	{ 0xc333a7f, "radix_tree_insert" },
	{ 0x5b8292e5, "pci_msix_vec_count" },
	{ 0xff8b56a9, "wait_for_completion_timeout" },
	{ 0x2e1a6d11, "pci_enable_device" },
	{ 0x9844f208, "skb_put" },
	{ 0x9efdc5f9, "skb_tstamp_tx" },
	{ 0x6a76e187, "devlink_fmsg_binary_pair_put" },
	{ 0xc60d0620, "__num_online_cpus" },
	{ 0x720e8b5b, "call_switchdev_notifiers" },
	{ 0x4761f17c, "register_netevent_notifier" },
	{ 0xe3ff2c41, "get_random_u64" },
	{ 0xee3cc26e, "__napi_alloc_skb" },
	{ 0x700e1eec, "flow_indr_dev_register" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x85670f1d, "rtnl_is_locked" },
	{ 0xa68391a2, "register_fib_notifier" },
	{ 0x92ab8b49, "auxiliary_device_init" },
	{ 0x65b99f8e, "ip6_dst_hoplimit" },
	{ 0xee5b4e09, "netdev_update_features" },
	{ 0xe7d4daac, "seq_list_next" },
	{ 0xbb7195a5, "xdp_warn" },
	{ 0xe113bbbc, "csum_partial" },
	{ 0xe78edd6b, "flow_rule_match_enc_ip" },
	{ 0xd2504a8c, "arch_spin_lock_wait" },
	{ 0x5529d6fb, "trace_seq_printf" },
	{ 0x7ea60103, "pci_alloc_irq_vectors" },
	{ 0xc7957b, "netif_napi_add_weight" },
	{ 0xa17f1b53, "pci_enable_atomic_ops_to_root" },
	{ 0xe953273, "seq_release" },
	{ 0xbcbcdd10, "dev_add_pack" },
	{ 0x98de1c15, "snprintf" },
	{ 0xaca0aef0, "complete" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x38493a8b, "idr_alloc_u32" },
	{ 0xd3af979c, "memdup_user" },
	{ 0x9d43a157, "devlink_fmsg_u32_pair_put" },
	{ 0xb8c22b8d, "trace_raw_output_prep" },
	{ 0x8e50f0bc, "devlink_fmsg_arr_pair_nest_end" },
	{ 0xb1512fa9, "xsk_clear_tx_need_wakeup" },
	{ 0x978fc403, "udp4_hwcsum" },
	{ 0xe254f4f8, "xa_get_mark" },
	{ 0xee38a093, "devl_lock" },
	{ 0x7819aea9, "__kmalloc_node" },
	{ 0xc3c5b081, "bpf_warn_invalid_xdp_action" },
	{ 0x8810754a, "_find_first_bit" },
	{ 0x9254c88b, "ndo_dflt_bridge_getlink" },
	{ 0x1573e30a, "unregister_netdev" },
	{ 0x607c4683, "devlink_info_version_fixed_put" },
	{ 0x9c5043f3, "xdp_convert_zc_to_xdp_frame" },
	{ 0x52d54fce, "devlink_info_version_stored_put" },
	{ 0xca9360b5, "rb_next" },
	{ 0xb9825984, "__klp_sched_try_switch" },
	{ 0x21ea5251, "__bitmap_weight" },
	{ 0x9cadbd3b, "__init_swait_queue_head" },
	{ 0xdca4aa79, "__trace_trigger_soft_disabled" },
	{ 0xdef84f9f, "radix_tree_lookup" },
	{ 0x458a79b6, "flow_rule_match_tcp" },
	{ 0xf8d07858, "bitmap_from_arr32" },
	{ 0x8bded20f, "zpci_load" },
	{ 0xf301578f, "register_netdevice_notifier_dev_net" },
	{ 0xb5217fef, "dma_unmap_page_attrs" },
	{ 0xdb31ab91, "trace_event_printf" },
	{ 0x375f5f0f, "devlink_health_reporter_create" },
	{ 0xbef53f33, "scnprintf" },
	{ 0xcdef52fc, "flow_rule_match_cvlan" },
	{ 0xa31d1dea, "__xa_erase" },
	{ 0x8630293b, "__pci_register_driver" },
	{ 0xe2b3207a, "unregister_switchdev_notifier" },
	{ 0xd566933c, "up" },
	{ 0x67e2272e, "refcount_dec_and_mutex_lock" },
	{ 0x62ccaee8, "dma_sync_single_for_device" },
	{ 0x8690d409, "xdp_rxq_info_unused" },
	{ 0xedc03953, "iounmap" },
	{ 0x6128b5fc, "__printk_ratelimit" },
	{ 0xf03357cd, "pci_num_vf" },
	{ 0xc2664640, "debugfs_create_atomic_t" },
	{ 0x972ee2c1, "flow_rule_match_eth_addrs" },
	{ 0xe0c997db, "xfrm_state_check_expire" },
	{ 0x3cd27640, "devlink_port_attrs_set" },
	{ 0x7b37d4a7, "_find_first_zero_bit" },
	{ 0x9667507c, "ptp_clock_index" },
	{ 0x6eface1e, "pci_request_regions" },
	{ 0x4b098dde, "___pskb_trim" },
	{ 0x93edef07, "devlink_health_report" },
	{ 0xfec003e3, "trace_event_raw_init" },
	{ 0xfc4b7aba, "flow_block_cb_free" },
	{ 0x398be3ba, "devl_port_fn_devlink_set" },
	{ 0x236c8c64, "memcpy" },
	{ 0x5eed0368, "xp_can_alloc" },
	{ 0xf5755161, "psample_sample_packet" },
	{ 0x62c673c2, "dev_get_iflink" },
	{ 0x37a0cba, "kfree" },
	{ 0x8bb534da, "devlink_alloc_ns" },
	{ 0xa558dc16, "devl_rate_leaf_destroy" },
	{ 0xc5c8b56c, "raw_copy_to_user" },
	{ 0xe39a6366, "pci_sriov_get_totalvfs" },
	{ 0xfcec0987, "enable_irq" },
	{ 0x242d23fb, "devlink_register" },
	{ 0x7407d156, "devlink_remote_reload_actions_performed" },
	{ 0xf8c3f39f, "devlink_fmsg_obj_nest_end" },
	{ 0x14291c34, "seq_lseek" },
	{ 0x352762dc, "page_pool_destroy" },
	{ 0xd8975c6c, "xdp_do_redirect" },
	{ 0x46c450c3, "devlink_free" },
	{ 0x2aef8ff5, "tls_get_record" },
	{ 0x81c51d19, "irq_cpu_rmap_add" },
	{ 0xeca957d1, "__bitmap_and" },
	{ 0x64c3ad06, "rhashtable_init" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x20201bea, "bpf_trace_run2" },
	{ 0xff1e9dd8, "seq_list_start" },
	{ 0x8587bf21, "netdev_warn" },
	{ 0x530e0f8c, "devl_health_reporter_destroy" },
	{ 0xbad04f1c, "udp_tunnel_nic_ops" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0x692f2119, "devl_rate_nodes_destroy" },
	{ 0x4302d0eb, "free_pages" },
	{ 0x9ba1e27b, "pci_irq_vector" },
	{ 0xf02a0b6c, "flow_rule_match_ipv4_addrs" },
	{ 0x64a77d10, "ip_route_output_flow" },
	{ 0xcc5c9df3, "__netif_napi_del" },
	{ 0xea066330, "rhashtable_walk_enter" },
	{ 0x1281003, "devlink_fmsg_binary_put" },
	{ 0x8ad3f19, "kmem_cache_create" },
	{ 0xa5526619, "rb_insert_color" },
	{ 0xca21ebd3, "bitmap_free" },
	{ 0xffb4dad1, "__dynamic_dev_dbg" },
	{ 0x22439ba2, "sched_numa_hop_mask" },
	{ 0x4d279950, "sock_gen_put" },
	{ 0x4b8f4e7a, "down_read_trylock" },
	{ 0xe3266ca7, "pci_unregister_driver" },
	{ 0xb928aa45, "netdev_rss_key_fill" },
	{ 0x909fda42, "blocking_notifier_chain_register" },
	{ 0xd452ea1d, "netdev_err" },
	{ 0xe055af45, "pci_cfg_access_lock" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0x19dfc7a8, "register_netdevice_notifier_net" },
	{ 0x678b96ec, "dma_pool_alloc" },
	{ 0x9ae47436, "_find_last_bit" },
	{ 0x7f24de73, "jiffies_to_usecs" },
	{ 0x2a1466df, "dev_driver_string" },
	{ 0xb72c5751, "netdev_port_same_parent_id" },
	{ 0x1e4f34fa, "trace_event_buffer_commit" },
	{ 0x6e20dffa, "dev_addr_mod" },
	{ 0xf9e81a67, "xdp_rxq_info_reg_mem_model" },
	{ 0xb1647fc2, "devlink_info_version_running_put" },
	{ 0x84a0ca4d, "bitmap_zalloc_node" },
	{ 0xe94986d6, "sched_clock" },
	{ 0x34acbcec, "ptp_find_pin" },
	{ 0xaf131be9, "eth_type_trans" },
	{ 0x60fdafef, "pci_read_config_dword" },
	{ 0x8cfeda78, "request_firmware_direct" },
	{ 0xff6505ee, "flow_rule_match_icmp" },
	{ 0x7c286ad6, "auxiliary_driver_unregister" },
	{ 0x45495dd, "dma_map_page_attrs" },
	{ 0xeab5b11c, "trace_seq_putc" },
	{ 0x37a0bdd6, "napi_complete_done" },
	{ 0x92997ed8, "_printk" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0xca17ac01, "_find_next_andnot_bit" },
	{ 0xb6f4dbfc, "___ratelimit" },
	{ 0x33eccd46, "devlink_port_attrs_pci_vf_set" },
	{ 0xb8c51d70, "priv_to_devlink" },
	{ 0x1eec1238, "blocking_notifier_call_chain" },
	{ 0xf390f6f1, "__bitmap_andnot" },
	{ 0x5665108a, "vlan_dev_vlan_proto" },
	{ 0xc53ba24f, "atomic_notifier_chain_register" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xe40bb23e, "devlink_health_reporter_priv" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0x6a5cb5ee, "__get_free_pages" },
	{ 0xf6d98ea9, "put_device" },
	{ 0x7f52071a, "net_dim" },
	{ 0xeaf61dfc, "__napi_schedule" },
	{ 0x87b046d4, "devlink_port_health_reporter_create" },
	{ 0x1a6df160, "pcie_relaxed_ordering_enabled" },
	{ 0x11d7c9d5, "xsk_set_rx_need_wakeup" },
	{ 0x9b8d07aa, "strnlen" },
	{ 0x88847a5a, "kmalloc_node_trace" },
	{ 0xa0c78e7d, "devlink_port_attrs_pci_pf_set" },
	{ 0xe5572e2e, "flow_rule_match_enc_ipv4_addrs" },
	{ 0xf4f9851d, "netif_device_detach" },
	{ 0xadbfd56e, "__free_pages" },
	{ 0xab6ab4bf, "kmem_cache_alloc" },
	{ 0x731a8940, "_dev_info" },
	{ 0x4098aac4, "skb_vlan_pop" },
	{ 0x69a1c18e, "napi_gro_receive" },
	{ 0x3e068b53, "netif_device_attach" },
	{ 0x9e47c85e, "devl_resource_register" },
	{ 0xbc3f2cb0, "timecounter_cyc2time" },
	{ 0xc88e592c, "netdev_pick_tx" },
	{ 0x91715cbc, "flow_indr_dev_unregister" },
	{ 0xead58fb9, "print_hex_dump" },
	{ 0xfdb1f590, "xp_raw_get_dma" },
	{ 0x32059b03, "eth_get_headlen" },
	{ 0x12882ee6, "sized_strscpy" },
	{ 0x615911d7, "__bitmap_set" },
	{ 0x69410aa1, "xdp_rxq_info_is_reg" },
	{ 0x39ee9e1a, "flow_rule_match_enc_opts" },
	{ 0x6ef84303, "kvmalloc_node" },
	{ 0xc2c5802, "work_busy" },
	{ 0xb3479b45, "devlink_net" },
	{ 0x7fcc1f2e, "devlink_fmsg_bool_pair_put" },
	{ 0xae57b151, "free_fib_info" },
	{ 0xbc4872d5, "devl_health_reporter_create" },
	{ 0x8b5b25b8, "flow_block_cb_setup_simple" },
	{ 0x800473f, "__cond_resched" },
	{ 0x22ba669a, "pci_msix_can_alloc_dyn" },
	{ 0xbcb36fe4, "hugetlb_optimize_vmemmap_key" },
	{ 0xc8535f0f, "flow_rule_match_basic" },
	{ 0xea3c74e, "tasklet_kill" },
	{ 0xdc4f2602, "unregister_netdevice_notifier_dev_net" },
	{ 0x4a5debab, "pci_find_capability" },
	{ 0x9df4a2a8, "idr_remove" },
	{ 0x6f9e763b, "timecounter_read" },
	{ 0x2c0b5407, "pci_iov_vf_id" },
	{ 0x4b27d977, "devlink_fmsg_arr_pair_nest_start" },
	{ 0xe523ad75, "synchronize_irq" },
	{ 0xdf4c7d81, "debugfs_attr_read" },
	{ 0xd4afea5d, "free_irq_cpu_rmap" },
	{ 0xc619b0f4, "flow_rule_match_ct" },
	{ 0x9f46ced8, "__sw_hweight64" },
	{ 0x2ddb834b, "__xa_alloc" },
	{ 0xa7eeb06a, "vlan_dev_real_dev" },
	{ 0xf1d992eb, "radix_tree_delete" },
	{ 0x33338211, "rcuref_get_slowpath" },
	{ 0x2a893c5d, "pci_msix_free_irq" },
	{ 0x7919b383, "alloc_cpu_rmap" },
	{ 0xf84bd6ee, "bpf_stats_enabled_key" },
	{ 0x936c7caf, "perf_trace_buf_alloc" },
	{ 0xe7ef1a2f, "__dev_get_by_index" },
	{ 0xb1379225, "perf_trace_run_bpf_submit" },
	{ 0x461dfab1, "devlink_fmsg_pair_nest_start" },
	{ 0xc78dfefd, "__irq_apply_affinity_hint" },
	{ 0x25de5e1c, "devlink_port_unregister" },
	{ 0x6e2da197, "arch_read_lock_wait" },
	{ 0x444fc39b, "dev_get_port_parent_id" },
	{ 0xd3cf1c01, "down_write" },
	{ 0x1a96d5fb, "_dev_err" },
	{ 0x23239a85, "init_net" },
	{ 0xd2510a63, "up_write" },
	{ 0x4e17f3c3, "softnet_data" },
	{ 0x469717cb, "ipv6_stub" },
	{ 0xbcedbbcc, "simple_open" },
	{ 0x6d47eff8, "skb_pull" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0xd2e79416, "cpu_bit_bitmap" },
	{ 0x6f5ef93d, "memchr_inv" },
	{ 0x140eb96f, "xdp_return_frame" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0xd20fe765, "simple_attr_release" },
	{ 0x5af3dbad, "ptp_clock_register" },
	{ 0xdc3fcbc9, "__sw_hweight8" },
	{ 0x11be5aa9, "devl_nested_devlink_set" },
	{ 0x8677245d, "unregister_switchdev_blocking_notifier" },
	{ 0x810c83e1, "xp_dma_sync_for_cpu_slow" },
	{ 0x19573f75, "xsk_tx_peek_desc" },
	{ 0x24d273d1, "add_timer" },
	{ 0x2f7754a8, "dma_pool_free" },
	{ 0xf24950fa, "__traceiter_xdp_exception" },
	{ 0xafaa6031, "_find_next_and_bit" },
	{ 0xbdf4646, "netif_set_real_num_tx_queues" },
	{ 0x8ec9aec2, "devlink_fmsg_u8_pair_put" },
	{ 0xc6f3b3fc, "refcount_dec_if_one" },
	{ 0x6dc677f1, "__auxiliary_device_add" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0xf4f14de6, "rtnl_trylock" },
	{ 0x5b745a3d, "xa_load" },
	{ 0x6c539cb3, "irq_get_irq_data" },
	{ 0xe7cb5a8f, "dev_remove_pack" },
	{ 0x4786e68c, "netif_set_real_num_rx_queues" },
	{ 0x81b433f2, "down" },
	{ 0x13527380, "dev_get_by_index" },
	{ 0xb1f0f146, "bpf_trace_run5" },
	{ 0x7ef65885, "flow_indr_block_cb_alloc" },
	{ 0x1e6d26a8, "strstr" },
	{ 0xb3b047b0, "skb_store_bits" },
	{ 0x8a853a29, "devl_port_register_with_ops" },
	{ 0xe98ae052, "dev_get_by_index_rcu" },
	{ 0xfe9ac081, "kfree_skb_reason" },
	{ 0xff282ac0, "netdev_printk" },
	{ 0x954f099c, "idr_preload" },
	{ 0xa94ee689, "mlxfw_firmware_flash" },
	{ 0x929e4028, "devlink_fmsg_u32_put" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x3b756f6a, "crc32_le" },
	{ 0xe8f3445e, "pcie_capability_clear_and_set_word_locked" },
	{ 0x860efa2c, "mutex_lock" },
	{ 0x32f8fe85, "skb_push" },
	{ 0xe7dcc743, "kmem_cache_free" },
	{ 0x82c115d6, "dma_alloc_attrs" },
	{ 0x4fe1eddf, "unregister_netevent_notifier" },
	{ 0x2272fddf, "debugfs_remove" },
	{ 0xc9b81f81, "pci_read_config_word" },
	{ 0xca039ea3, "napi_enable" },
	{ 0x85abc85f, "strncmp" },
	{ 0x5d97d65e, "xsk_clear_rx_need_wakeup" },
	{ 0xa51b7c98, "unregister_netdevice_notifier_net" },
	{ 0xaf257343, "xsk_uses_need_wakeup" },
	{ 0xa0845411, "register_netdev" },
	{ 0xfb8b3fd5, "unregister_fib_notifier" },
	{ 0x40eaed1, "trace_event_reg" },
	{ 0x53c24b01, "mutex_is_locked" },
	{ 0xd8cac4d0, "devlink_port_attrs_pci_sf_set" },
	{ 0x4d9b652b, "rb_erase" },
	{ 0x9d2ab8ac, "__tasklet_schedule" },
	{ 0x1af267f8, "int_pow" },
	{ 0x5cede0a7, "xdp_flush_frame_bulk" },
	{ 0x2d523e51, "debugfs_create_u64" },
	{ 0xf9a06e0e, "ida_free" },
	{ 0x4466c271, "free_netdev" },
	{ 0x3221df67, "__bitmap_subset" },
	{ 0xcd279169, "nla_find" },
	{ 0xd266e131, "debugfs_create_size_t" },
	{ 0xf74bb274, "mod_delayed_work_on" },
	{ 0xf84d8605, "devl_params_register" },
	{ 0x3a71f28f, "dql_completed" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0x9ec6ca96, "ktime_get_real_ts64" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0xff8cbf4b, "rhashtable_walk_start_check" },
	{ 0x452ba683, "ipv6_ext_hdr" },
	{ 0x564405cb, "__cpu_online_mask" },
	{ 0x2fa5a500, "memcmp" },
	{ 0x9f1e221f, "kmalloc_large" },
	{ 0xb1518e15, "cancel_work" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0xbbf11e1d, "ethtool_op_get_link" },
	{ 0x6d294e43, "clock_t_to_jiffies" },
	{ 0xace2d5cb, "netif_set_xps_queue" },
	{ 0xf0ea2318, "__mutex_init" },
	{ 0x31f84c07, "__ethtool_get_link_ksettings" },
	{ 0x4eedd6f3, "rhashtable_walk_stop" },
	{ 0x15d85a57, "down_trylock" },
	{ 0xb35e1527, "__fortify_panic" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0x49dbb0b9, "devlink_fmsg_binary_pair_nest_end" },
	{ 0x64127b67, "bitmap_find_next_zero_area_off" },
	{ 0xeff39aad, "flow_keys_dissector" },
	{ 0x86128cd6, "pci_restore_state" },
	{ 0xd6aaf4f9, "bpf_trace_run1" },
	{ 0x2865365b, "__inet6_lookup_established" },
	{ 0x494c6951, "netif_tx_wake_queue" },
	{ 0x48d27375, "__bitmap_intersects" },
	{ 0x846bb62, "device_del" },
	{ 0x34a7afe, "idr_destroy" },
	{ 0x65929cae, "ns_to_timespec64" },
	{ 0x3dad9978, "cancel_delayed_work" },
	{ 0xf62348c2, "dma_sync_single_for_cpu" },
	{ 0x30696079, "rhashtable_free_and_destroy" },
	{ 0xbe994ebc, "page_pool_create" },
	{ 0x895586f9, "skb_checksum" },
	{ 0x7747e155, "devl_param_driverinit_value_set" },
	{ 0x4013719f, "_dev_warn" },
	{ 0x7f062e56, "flow_rule_match_ports" },
	{ 0xa6832797, "devlink_fmsg_binary_pair_nest_start" },
	{ 0x6f41a639, "irq_cpu_rmap_remove" },
	{ 0x6f9c47e2, "xfrm_replay_seqhi" },
	{ 0x2688ec10, "bitmap_zalloc" },
	{ 0xd1525a02, "devl_resources_unregister" },
	{ 0x9fe44762, "ptp_clock_event" },
	{ 0xf3b8882, "rht_bucket_nested_insert" },
	{ 0x8c795fce, "netif_schedule_queue" },
	{ 0xe1cc6309, "__alloc_pages" },
	{ 0x8bad4ff4, "pgprot_writecombine" },
	{ 0xa084749a, "__bitmap_or" },
	{ 0xb4863b72, "devlink_fmsg_u64_pair_put" },
	{ 0x5df2ca19, "pci_set_master" },
	{ 0x375a9d29, "devl_trap_groups_register" },
	{ 0x531625b6, "wait_for_completion" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0x1bf3ce9e, "debugfs_create_u32" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0xd0201468, "flow_rule_match_ipv6_addrs" },
	{ 0xefd27928, "netdev_set_tc_queue" },
	{ 0x65a7a23, "atomic_notifier_call_chain" },
	{ 0xea7610ce, "devl_params_unregister" },
	{ 0x9f34c39a, "ptp_clock_unregister" },
	{ 0xfb43452a, "__pskb_pull_tail" },
	{ 0xb9ddda3, "xp_dma_unmap" },
	{ 0xad645234, "register_switchdev_notifier" },
	{ 0xece784c2, "rb_first" },
	{ 0x7aca8b9f, "klp_sched_try_switch_key" },
	{ 0xcdb7f21, "__netdev_alloc_skb" },
	{ 0x6108288f, "complete_all" },
	{ 0x364354ba, "rhashtable_destroy" },
	{ 0x504da1e0, "devlink_trap_report" },
	{ 0x52cc9b41, "__neigh_event_send" },
	{ 0x3405d134, "flow_block_cb_alloc" },
	{ 0xa0994320, "devlink_fmsg_obj_nest_start" },
	{ 0x868bde1d, "down_write_trylock" },
	{ 0x626e389d, "dev_printk_emit" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x103bafd6, "down_read" },
	{ 0x8b487372, "devl_traps_register" },
	{ 0x7e1efae9, "devl_unlock" },
	{ 0x392c5779, "__dynamic_netdev_dbg" },
	{ 0xe798236d, "jiffies" },
	{ 0xa4c84dae, "dma_set_coherent_mask" },
	{ 0xc5b97dc5, "__neigh_create" },
	{ 0x6c041e19, "__xa_insert" },
	{ 0x99ca74a6, "xa_erase" },
	{ 0xbf392461, "flow_rule_match_enc_control" },
	{ 0xdb0d19de, "bpf_trace_run3" },
	{ 0xf82c57ef, "seq_read" },
	{ 0x8574bb03, "trace_print_flags_seq" },
	{ 0x73c93090, "rhashtable_insert_slow" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x146cc88f, "bpf_master_redirect_enabled_key" },
	{ 0x59d9e62a, "ipv6_find_hdr" },
	{ 0x922f45a6, "__bitmap_clear" },
	{ 0x99d472b1, "net_dim_get_rx_moderation" },
	{ 0xb5aa7165, "dma_pool_destroy" },
	{ 0xb3c37d54, "debugfs_create_file" },
	{ 0xc57a8d9b, "rps_may_expire_flow" },
	{ 0xa25a863d, "metadata_dst_free" },
	{ 0xe4a95266, "blocking_notifier_chain_unregister" },
	{ 0xfd113022, "xsk_set_tx_need_wakeup" },
	{ 0x16b69bc8, "zpci_store" },
	{ 0x683edb74, "__dev_queue_xmit" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x9217d0b3, "netdev_reset_tc" },
	{ 0xcfdef2e0, "neigh_destroy" },
	{ 0xc3b0f7e5, "dma_free_attrs" },
	{ 0xb1b1c93e, "atomic_notifier_chain_unregister" },
	{ 0xdf521442, "_find_next_zero_bit" },
	{ 0xaf81c1aa, "trace_event_buffer_reserve" },
	{ 0x850bb6db, "devlink_health_reporter_destroy" },
	{ 0xa5e1757f, "debugfs_create_x32" },
	{ 0x14bd0179, "flow_rule_match_enc_ipv6_addrs" },
	{ 0x86a8fb71, "mutex_unlock" },
	{ 0xdfcc992c, "current_work" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0x3d0db0f4, "flow_rule_match_enc_ports" },
	{ 0x218fb042, "xdp_return_frame_bulk" },
	{ 0xbb9d0dc5, "bin2hex" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xb10770e0, "pci_release_regions" },
	{ 0x3d9ca84c, "netif_queue_set_napi" },
	{ 0x989e1516, "xa_destroy" },
	{ 0x78c6848e, "bpf_prog_add" },
	{ 0x7cfe368d, "net_dim_get_def_tx_moderation" },
	{ 0x42ae6d99, "xa_find" },
	{ 0x4776c4ea, "devl_assert_locked" },
	{ 0x4da4cd36, "pcie_print_link_status" },
	{ 0x2f05b257, "xp_set_rxq_info" },
	{ 0xc6191b7a, "flow_rule_match_vlan" },
	{ 0xdadb6777, "alloc_pages" },
	{ 0x4547c774, "devl_port_unregister" },
	{ 0x8c91933d, "xdp_rxq_info_unreg" },
	{ 0xa4a34ea1, "page_pool_alloc_pages" },
	{ 0xee38ef57, "register_switchdev_blocking_notifier" },
	{ 0xdc46c621, "devl_param_driverinit_value_get" },
	{ 0xe35fb609, "kmemdup" },
	{ 0x67735bd8, "napi_build_skb" },
	{ 0x7604ea7b, "netdev_master_upper_dev_get_rcu" },
	{ 0x9494bb26, "__folio_put" },
	{ 0xaaa3c96e, "__xdp_rxq_info_reg" },
	{ 0x80eadc42, "xdp_set_features_flag" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0xfeb93769, "netdev_master_upper_dev_get" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x315946e4, "bpf_prog_inc" },
	{ 0x31d3199b, "rhltable_init" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0xed7bb9aa, "netif_carrier_event" },
	{ 0x56470118, "__warn_printk" },
	{ 0x65c3e170, "netif_carrier_off" },
	{ 0xc3caba8c, "seq_printf" },
	{ 0xcf81b0cf, "flow_rule_match_meta" },
	{ 0xf79faab3, "ip_send_check" },
	{ 0xe70e184a, "xa_store" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x305038e0, "devlink_priv" },
	{ 0x3fffbe3, "devlink_port_register_with_ops" },
	{ 0x7deb10f, "pci_disable_sriov" },
	{ 0x20218c06, "metadata_dst_alloc" },
	{ 0x2a5f1631, "dst_release" },
	{ 0x94d7fda2, "netif_carrier_on" },
	{ 0x2d02c65d, "netdev_set_num_tc" },
	{ 0xa62422da, "dql_reset" },
	{ 0x3b814ca, "bpf_dispatcher_xdp_func" },
	{ 0xfa2fa9f3, "arp_tbl" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0xeba0f2b7, "pci_disable_device" },
	{ 0x8ac3334b, "net_dim_get_def_rx_moderation" },
	{ 0x258d2f76, "net_dim_get_tx_moderation" },
	{ 0xf3fab6ae, "xp_free" },
	{ 0xc045988c, "rhashtable_walk_next" },
	{ 0x25fa168d, "page_pool_update_nid" },
	{ 0xc4347634, "single_release" },
	{ 0x6137b6cd, "devlink_fmsg_string_pair_put" },
	{ 0x87e387f, "dma_set_mask" },
	{ 0xeb3bb9c9, "__auxiliary_driver_register" },
	{ 0x8676db46, "get_random_bytes" },
	{ 0xe4f29feb, "netif_set_tso_max_size" },
	{ 0xe42759b7, "vlan_dev_vlan_id" },
	{ 0x6ba91d2b, "__skb_flow_dissect" },
	{ 0x414f560c, "pci_msix_alloc_irq_at" },
	{ 0x9b38b5ff, "seq_open" },
	{ 0x2b4509dd, "devlink_health_reporter_state_update" },
	{ 0x7678c321, "skb_add_rx_frag_netmem" },
	{ 0x429dcdc0, "xa_find_after" },
	{ 0x86f48f92, "kmalloc_trace" },
	{ 0xf565e01d, "xdp_master_redirect" },
	{ 0xa07d1b3c, "tasklet_setup" },
	{ 0xe4924ddd, "xp_raw_get_data" },
	{ 0x6f72c175, "tls_validate_xmit_skb" },
	{ 0xc7a1840e, "llist_add_batch" },
	{ 0x70336943, "xa_set_mark" },
	{ 0xebb09d6a, "napi_schedule_prep" },
	{ 0x39205f0d, "qdisc_reset" },
	{ 0x60afcf4f, "napi_consume_skb" },
	{ 0xa924297d, "devlink_fmsg_pair_nest_end" },
	{ 0x5e671443, "xp_alloc_batch" },
	{ 0x86d8c909, "flow_rule_match_mpls" },
	{ 0xaac396f9, "napi_disable" },
	{ 0x36e750bc, "dev_kfree_skb_any_reason" },
	{ 0xbf30a531, "dcb_ieee_delapp" },
	{ 0xb20aac30, "bpf_trace_run7" },
	{ 0x91eb9b4, "round_jiffies" },
	{ 0x4052ba9a, "devl_port_health_reporter_create" },
	{ 0x7aa1756e, "kvfree" },
	{ 0x5b5ed9c, "debugfs_create_u8" },
	{ 0x861115c, "single_open" },
	{ 0x350f6ce5, "tasklet_unlock_wait" },
	{ 0xc951548f, "devl_register" },
	{ 0x349cba85, "strchr" },
	{ 0x584f565, "debugfs_create_dir" },
	{ 0x38762c8, "idr_get_next_ul" },
	{ 0x89a09837, "ioremap_prot" },
	{ 0xb1391f52, "skb_ext_add" },
	{ 0x983a4f5d, "pcie_bandwidth_available" },
	{ 0x1ef916b5, "pci_free_irq_vectors" },
	{ 0x5a5e7ea3, "simple_read_from_buffer" },
	{ 0x617a6d53, "flow_rule_match_control" },
	{ 0x7f77c6c1, "flow_rule_match_ip" },
	{ 0x60fc2887, "pci_enable_sriov" },
	{ 0x61a6a17, "rht_bucket_nested" },
	{ 0xff557e80, "trace_handle_return" },
	{ 0x555ccb97, "up_read" },
	{ 0xa3b0d94, "raw_copy_from_user" },
	{ 0x28d0285c, "rhashtable_walk_exit" },
	{ 0xb26a1add, "elfcorehdr_addr" },
	{ 0x26dcfdc9, "dcb_ieee_setapp" },
	{ 0xf09b5d9a, "get_zeroed_page" },
	{ 0xfadf8091, "devl_trap_groups_unregister" },
	{ 0x862258db, "timecounter_init" },
	{ 0xf9a482f9, "msleep" },
	{ 0xc4f0da12, "ktime_get_with_offset" },
	{ 0x17186869, "xsk_tx_release" },
	{ 0xb4352715, "devl_traps_unregister" },
	{ 0x1dadd920, "__kmalloc" },
	{ 0xe694f619, "pci_iov_get_pf_drvdata" },
	{ 0xee85b2cc, "pci_write_config_dword" },
	{ 0xfb0e0d0b, "kmalloc_caches" },
	{ 0x9fe5ece9, "netdev_info" },
	{ 0x9858f364, "get_random_u8" },
	{ 0x26d9d1af, "neigh_lookup" },
	{ 0x6286d0bb, "kmem_cache_destroy" },
	{ 0x8f022561, "page_pool_put_unrefed_page" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x3ce4ca6f, "disable_irq" },
	{ 0xb9681621, "xdp_do_flush" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0x50b93b95, "module_layout" },
};

MODULE_INFO(depends, "psample,tls,mlxfw");

MODULE_ALIAS("auxiliary:mlx5_core.sf");
MODULE_ALIAS("auxiliary:mlx5_core.eth-rep");
MODULE_ALIAS("pci:v000015B3d00001011sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d00001012sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d00001013sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d00001014sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d00001015sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d00001016sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d00001017sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d00001018sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d00001019sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d0000101Asv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d0000101Bsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d0000101Csv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d0000101Dsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d0000101Esv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d0000101Fsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d00001021sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d00001023sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d0000A2D2sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d0000A2D3sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d0000A2D6sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d0000A2DCsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d0000A2DFsv*sd*bc*sc*i*");
MODULE_ALIAS("auxiliary:mlx5_core.eth");

MODULE_INFO(srcversion, "EDA9DC0D8BAEEF34E4B4380");
MODULE_INFO(rhelversion, "9.99");
