#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(nvdimm_bus_lock, "", "");
KSYMTAB_FUNC(nvdimm_bus_unlock, "", "");
KSYMTAB_FUNC(is_nvdimm_bus_locked, "", "");
KSYMTAB_FUNC(devm_nvdimm_memremap, "_gpl", "");
KSYMTAB_FUNC(nd_fletcher64, "_gpl", "");
KSYMTAB_FUNC(to_nd_desc, "_gpl", "");
KSYMTAB_FUNC(to_nvdimm_bus_dev, "_gpl", "");
KSYMTAB_FUNC(nvdimm_bus_add_badrange, "_gpl", "");
KSYMTAB_FUNC(nd_integrity_init, "", "");
KSYMTAB_FUNC(nd_device_notify, "", "");
KSYMTAB_FUNC(nvdimm_region_notify, "_gpl", "");
KSYMTAB_FUNC(nvdimm_clear_poison, "_gpl", "");
KSYMTAB_FUNC(to_nvdimm_bus, "_gpl", "");
KSYMTAB_FUNC(nvdimm_to_bus, "_gpl", "");
KSYMTAB_FUNC(nvdimm_bus_register, "_gpl", "");
KSYMTAB_FUNC(nvdimm_bus_unregister, "_gpl", "");
KSYMTAB_FUNC(nd_synchronize, "_gpl", "");
KSYMTAB_FUNC(nd_device_register, "", "");
KSYMTAB_FUNC(nd_device_unregister, "", "");
KSYMTAB_FUNC(__nd_driver_register, "", "");
KSYMTAB_FUNC(nvdimm_check_and_set_ro, "", "");
KSYMTAB_FUNC(nd_cmd_dimm_desc, "_gpl", "");
KSYMTAB_FUNC(nd_cmd_bus_desc, "_gpl", "");
KSYMTAB_FUNC(nd_cmd_in_size, "_gpl", "");
KSYMTAB_FUNC(nd_cmd_out_size, "_gpl", "");
KSYMTAB_FUNC(to_nvdimm, "_gpl", "");
KSYMTAB_FUNC(to_ndd, "", "");
KSYMTAB_FUNC(nvdimm_name, "_gpl", "");
KSYMTAB_FUNC(nvdimm_kobj, "_gpl", "");
KSYMTAB_FUNC(nvdimm_cmd_mask, "_gpl", "");
KSYMTAB_FUNC(nvdimm_provider_data, "_gpl", "");
KSYMTAB_FUNC(__nvdimm_create, "_gpl", "");
KSYMTAB_FUNC(nvdimm_delete, "_gpl", "");
KSYMTAB_FUNC(nvdimm_security_setup_events, "_gpl", "");
KSYMTAB_FUNC(nvdimm_in_overwrite, "_gpl", "");
KSYMTAB_FUNC(nvdimm_bus_check_dimm_count, "_gpl", "");
KSYMTAB_FUNC(register_nvdimm_pmu, "_gpl", "");
KSYMTAB_FUNC(unregister_nvdimm_pmu, "_gpl", "");
KSYMTAB_FUNC(to_nd_region, "_gpl", "");
KSYMTAB_FUNC(nd_region_dev, "_gpl", "");
KSYMTAB_FUNC(nd_region_provider_data, "_gpl", "");
KSYMTAB_FUNC(nd_region_to_nstype, "", "");
KSYMTAB_FUNC(nd_region_acquire_lane, "", "");
KSYMTAB_FUNC(nd_region_release_lane, "", "");
KSYMTAB_FUNC(nvdimm_pmem_region_create, "_gpl", "");
KSYMTAB_FUNC(nvdimm_volatile_region_create, "_gpl", "");
KSYMTAB_FUNC(nvdimm_region_delete, "_gpl", "");
KSYMTAB_FUNC(nvdimm_flush, "_gpl", "");
KSYMTAB_FUNC(nvdimm_has_flush, "_gpl", "");
KSYMTAB_FUNC(nvdimm_has_cache, "_gpl", "");
KSYMTAB_FUNC(is_nvdimm_sync, "_gpl", "");
KSYMTAB_FUNC(pmem_should_map_pages, "", "");
KSYMTAB_FUNC(pmem_sector_size, "", "");
KSYMTAB_FUNC(nvdimm_namespace_disk_name, "", "");
KSYMTAB_FUNC(nd_dev_to_uuid, "", "");
KSYMTAB_FUNC(nvdimm_namespace_capacity, "", "");
KSYMTAB_FUNC(nvdimm_namespace_locked, "", "");
KSYMTAB_FUNC(nvdimm_namespace_common_probe, "", "");
KSYMTAB_FUNC(devm_namespace_enable, "_gpl", "");
KSYMTAB_FUNC(devm_namespace_disable, "_gpl", "");
KSYMTAB_FUNC(badrange_init, "_gpl", "");
KSYMTAB_FUNC(badrange_add, "_gpl", "");
KSYMTAB_FUNC(badrange_forget, "_gpl", "");
KSYMTAB_FUNC(nvdimm_badblocks_populate, "_gpl", "");
KSYMTAB_FUNC(nd_sb_checksum, "", "");
KSYMTAB_FUNC(to_nd_btt, "", "");
KSYMTAB_FUNC(is_nd_btt, "", "");
KSYMTAB_FUNC(nd_btt_arena_is_valid, "", "");
KSYMTAB_FUNC(nd_btt_version, "", "");
KSYMTAB_FUNC(nd_btt_probe, "", "");

SYMBOL_CRC(nvdimm_bus_lock, 0x5d764ab0, "");
SYMBOL_CRC(nvdimm_bus_unlock, 0x34e9145b, "");
SYMBOL_CRC(is_nvdimm_bus_locked, 0xded4198a, "");
SYMBOL_CRC(devm_nvdimm_memremap, 0xa9f49f6e, "_gpl");
SYMBOL_CRC(nd_fletcher64, 0x95d77ca0, "_gpl");
SYMBOL_CRC(to_nd_desc, 0x19bd9f4e, "_gpl");
SYMBOL_CRC(to_nvdimm_bus_dev, 0xbd19508c, "_gpl");
SYMBOL_CRC(nvdimm_bus_add_badrange, 0x33230cf7, "_gpl");
SYMBOL_CRC(nd_integrity_init, 0x18fc8e2e, "");
SYMBOL_CRC(nd_device_notify, 0x1a3ae1d4, "");
SYMBOL_CRC(nvdimm_region_notify, 0xf02c51ed, "_gpl");
SYMBOL_CRC(nvdimm_clear_poison, 0xd0849ded, "_gpl");
SYMBOL_CRC(to_nvdimm_bus, 0xd4b31b0d, "_gpl");
SYMBOL_CRC(nvdimm_to_bus, 0xff0993b6, "_gpl");
SYMBOL_CRC(nvdimm_bus_register, 0xb847d2d4, "_gpl");
SYMBOL_CRC(nvdimm_bus_unregister, 0x0d970fd7, "_gpl");
SYMBOL_CRC(nd_synchronize, 0x7d00c65b, "_gpl");
SYMBOL_CRC(nd_device_register, 0xb608c6f3, "");
SYMBOL_CRC(nd_device_unregister, 0x3b8a3f90, "");
SYMBOL_CRC(__nd_driver_register, 0x7263fb00, "");
SYMBOL_CRC(nvdimm_check_and_set_ro, 0x648afb91, "");
SYMBOL_CRC(nd_cmd_dimm_desc, 0xb501b2df, "_gpl");
SYMBOL_CRC(nd_cmd_bus_desc, 0xa01a8d9b, "_gpl");
SYMBOL_CRC(nd_cmd_in_size, 0xa574b42f, "_gpl");
SYMBOL_CRC(nd_cmd_out_size, 0x72d57396, "_gpl");
SYMBOL_CRC(to_nvdimm, 0xca96dafc, "_gpl");
SYMBOL_CRC(to_ndd, 0x63e1883e, "");
SYMBOL_CRC(nvdimm_name, 0xff47fcef, "_gpl");
SYMBOL_CRC(nvdimm_kobj, 0xd60a59e3, "_gpl");
SYMBOL_CRC(nvdimm_cmd_mask, 0xc19f191e, "_gpl");
SYMBOL_CRC(nvdimm_provider_data, 0xd717818e, "_gpl");
SYMBOL_CRC(__nvdimm_create, 0x3621cf7f, "_gpl");
SYMBOL_CRC(nvdimm_delete, 0xd3b92b47, "_gpl");
SYMBOL_CRC(nvdimm_security_setup_events, 0x7fffa095, "_gpl");
SYMBOL_CRC(nvdimm_in_overwrite, 0x1dbed25a, "_gpl");
SYMBOL_CRC(nvdimm_bus_check_dimm_count, 0x2e0f7742, "_gpl");
SYMBOL_CRC(register_nvdimm_pmu, 0x62465a5c, "_gpl");
SYMBOL_CRC(unregister_nvdimm_pmu, 0x0fc56164, "_gpl");
SYMBOL_CRC(to_nd_region, 0x16c917b2, "_gpl");
SYMBOL_CRC(nd_region_dev, 0xbc14a2ae, "_gpl");
SYMBOL_CRC(nd_region_provider_data, 0x5805ed37, "_gpl");
SYMBOL_CRC(nd_region_to_nstype, 0x040bc760, "");
SYMBOL_CRC(nd_region_acquire_lane, 0xe033c999, "");
SYMBOL_CRC(nd_region_release_lane, 0xe6a6f41e, "");
SYMBOL_CRC(nvdimm_pmem_region_create, 0xbe3a0181, "_gpl");
SYMBOL_CRC(nvdimm_volatile_region_create, 0x362ba5bb, "_gpl");
SYMBOL_CRC(nvdimm_region_delete, 0x32533935, "_gpl");
SYMBOL_CRC(nvdimm_flush, 0x2cf8a881, "_gpl");
SYMBOL_CRC(nvdimm_has_flush, 0x31716af4, "_gpl");
SYMBOL_CRC(nvdimm_has_cache, 0x834c9322, "_gpl");
SYMBOL_CRC(is_nvdimm_sync, 0x4b660747, "_gpl");
SYMBOL_CRC(pmem_should_map_pages, 0x72615206, "");
SYMBOL_CRC(pmem_sector_size, 0xe5c4c069, "");
SYMBOL_CRC(nvdimm_namespace_disk_name, 0x4a13008a, "");
SYMBOL_CRC(nd_dev_to_uuid, 0x7147a593, "");
SYMBOL_CRC(nvdimm_namespace_capacity, 0x7c712b00, "");
SYMBOL_CRC(nvdimm_namespace_locked, 0x0c728a63, "");
SYMBOL_CRC(nvdimm_namespace_common_probe, 0x4f2e7da1, "");
SYMBOL_CRC(devm_namespace_enable, 0x06a118f3, "_gpl");
SYMBOL_CRC(devm_namespace_disable, 0x3ea733eb, "_gpl");
SYMBOL_CRC(badrange_init, 0x07b125d2, "_gpl");
SYMBOL_CRC(badrange_add, 0x8f12f4af, "_gpl");
SYMBOL_CRC(badrange_forget, 0xd425f7b5, "_gpl");
SYMBOL_CRC(nvdimm_badblocks_populate, 0x683d9b44, "_gpl");
SYMBOL_CRC(nd_sb_checksum, 0x499f0ecf, "");
SYMBOL_CRC(to_nd_btt, 0x122d53c0, "");
SYMBOL_CRC(is_nd_btt, 0x31a261c0, "");
SYMBOL_CRC(nd_btt_arena_is_valid, 0x218a56a1, "");
SYMBOL_CRC(nd_btt_version, 0xc06981d9, "");
SYMBOL_CRC(nd_btt_probe, 0x8017a16d, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x9c6febfc, "add_uevent_var" },
	{ 0xf73b9adc, "set_disk_ro" },
	{ 0x78569adf, "ida_alloc_range" },
	{ 0x6ff88f7a, "blk_integrity_register" },
	{ 0x1b9a1639, "try_module_get" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0xb381ff9e, "ida_destroy" },
	{ 0xecacdb92, "devm_kmalloc" },
	{ 0xf2f53617, "memregion_free" },
	{ 0xc60d0620, "__num_online_cpus" },
	{ 0x77bc13a0, "strim" },
	{ 0x95dc390c, "devm_memremap" },
	{ 0xac93404b, "dev_set_name" },
	{ 0xd2504a8c, "arch_spin_lock_wait" },
	{ 0x98de1c15, "snprintf" },
	{ 0x213a738d, "memregion_alloc" },
	{ 0x222e7ce2, "sysfs_streq" },
	{ 0x8810754a, "_find_first_bit" },
	{ 0xa7c09db7, "badblocks_set" },
	{ 0x1fe7f915, "device_unregister" },
	{ 0x21ea5251, "__bitmap_weight" },
	{ 0xfdb7f6a9, "finish_wait" },
	{ 0xb5d27fce, "class_destroy" },
	{ 0xf474c21c, "bitmap_print_to_pagebuf" },
	{ 0xedc03953, "iounmap" },
	{ 0x3bc83d2c, "device_initialize" },
	{ 0x236c8c64, "memcpy" },
	{ 0x3b6c41ea, "kstrtouint" },
	{ 0x6ca4bf88, "async_synchronize_full_domain" },
	{ 0x37a0cba, "kfree" },
	{ 0xe6cb98b5, "badblocks_exit" },
	{ 0xc5c8b56c, "raw_copy_to_user" },
	{ 0x2633cbfc, "device_for_each_child" },
	{ 0x23924a48, "prepare_to_wait_event" },
	{ 0xa066fd6c, "__wake_up" },
	{ 0x5bd8e181, "get_device" },
	{ 0xd827fff3, "memremap" },
	{ 0x5ecfeec6, "__per_cpu_offset" },
	{ 0xffb4dad1, "__dynamic_dev_dbg" },
	{ 0x8b58a6d1, "kernfs_notify" },
	{ 0x1035c7c2, "__release_region" },
	{ 0x2a1466df, "dev_driver_string" },
	{ 0x8df9dd10, "guid_null" },
	{ 0xc995c408, "__devm_request_region" },
	{ 0x14197815, "__cpuhp_state_remove_instance" },
	{ 0x92997ed8, "_printk" },
	{ 0x1000e51, "schedule" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0xf6d98ea9, "put_device" },
	{ 0x21b24d0a, "badblocks_show" },
	{ 0x230bca5e, "key_type_encrypted" },
	{ 0x731a8940, "_dev_info" },
	{ 0xa7e2dd7e, "module_put" },
	{ 0x6ef84303, "kvmalloc_node" },
	{ 0xb9bb8994, "compat_ptr_ioctl" },
	{ 0x2e23ee85, "perf_pmu_migrate_context" },
	{ 0xc087e8a3, "perf_pmu_register" },
	{ 0x507b25d0, "kstrndup" },
	{ 0x9f46ced8, "__sw_hweight64" },
	{ 0xbc79a4f4, "key_put" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0xf3b33943, "bus_unregister" },
	{ 0x49608959, "migrate_disable" },
	{ 0x1a96d5fb, "_dev_err" },
	{ 0x6ccc34dd, "sort" },
	{ 0x1446a627, "__cpuhp_setup_state" },
	{ 0xcb2aaf0d, "devm_memunmap" },
	{ 0xd2e79416, "cpu_bit_bitmap" },
	{ 0xa423ff4, "device_add" },
	{ 0xbba617d0, "noop_llseek" },
	{ 0x2c333346, "class_create" },
	{ 0x860efa2c, "mutex_lock" },
	{ 0x728f9730, "kernfs_find_and_get_ns" },
	{ 0x9e9fdd9d, "memunmap" },
	{ 0x85abc85f, "strncmp" },
	{ 0x6dcf857f, "uuid_null" },
	{ 0x53c24b01, "mutex_is_locked" },
	{ 0xf9a06e0e, "ida_free" },
	{ 0x2b972112, "driver_unregister" },
	{ 0xb0220f82, "__cpuhp_state_add_instance" },
	{ 0x642b50eb, "perf_pmu_unregister" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0xc47ecc4b, "device_find_child" },
	{ 0xf0ea2318, "__mutex_init" },
	{ 0xb35e1527, "__fortify_panic" },
	{ 0x124bad4d, "kstrtobool" },
	{ 0x2548c032, "__cpu_possible_mask" },
	{ 0x4013719f, "_dev_warn" },
	{ 0x5c3c7387, "kstrtoull" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x44e9b7d0, "__init_waitqueue_head" },
	{ 0xb67fec0e, "uuid_parse" },
	{ 0x103bafd6, "down_read" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0xd68c5a1f, "adjust_resource" },
	{ 0xbbe08392, "kill_device" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x16b69bc8, "zpci_store" },
	{ 0x999e8297, "vfree" },
	{ 0x86a8fb71, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x7d7e23c6, "param_ops_bool" },
	{ 0xb89b6e6b, "guid_parse" },
	{ 0x52a6587c, "__devm_release_region" },
	{ 0xef0a80eb, "request_key_tag" },
	{ 0x55f2580b, "__alloc_percpu" },
	{ 0x31ceaaa3, "kernfs_put" },
	{ 0x2e9c7461, "__register_chrdev" },
	{ 0xe35fb609, "kmemdup" },
	{ 0xf5ee2fe6, "device_destroy" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x56470118, "__warn_printk" },
	{ 0xc8e173ed, "_find_next_bit_le" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0xd21b61bd, "async_schedule_node_domain" },
	{ 0xd459b720, "badblocks_check" },
	{ 0x86f48f92, "kmalloc_trace" },
	{ 0x128fa801, "__devm_add_action" },
	{ 0x8ea745f6, "badblocks_clear" },
	{ 0x790b22fc, "devm_init_badblocks" },
	{ 0x77358855, "iomem_resource" },
	{ 0x1dc6c93b, "lookup_user_key" },
	{ 0x7aa1756e, "kvfree" },
	{ 0xd6ee688f, "vmalloc" },
	{ 0x89a09837, "ioremap_prot" },
	{ 0x555ccb97, "up_read" },
	{ 0xa3b0d94, "raw_copy_from_user" },
	{ 0xa90c9c3e, "driver_register" },
	{ 0x46d44f87, "__cpuhp_remove_state" },
	{ 0x4d7272e4, "migrate_enable" },
	{ 0x1dadd920, "__kmalloc" },
	{ 0xfb0e0d0b, "kmalloc_caches" },
	{ 0x85bd1608, "__request_region" },
	{ 0xa51a2967, "_find_next_zero_bit_le" },
	{ 0x7f2cdacc, "bus_register" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x6bc3fbc0, "__unregister_chrdev" },
	{ 0x50b93b95, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "8468266170B9FC46E498812");
MODULE_INFO(rhelversion, "9.99");
