#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(ieee802154_alloc_hw, "", "");
KSYMTAB_FUNC(ieee802154_configure_durations, "", "");
KSYMTAB_FUNC(ieee802154_free_hw, "", "");
KSYMTAB_FUNC(ieee802154_register_hw, "", "");
KSYMTAB_FUNC(ieee802154_unregister_hw, "", "");
KSYMTAB_FUNC(ieee802154_rx_irqsafe, "", "");
KSYMTAB_FUNC(ieee802154_xmit_complete, "", "");
KSYMTAB_FUNC(ieee802154_xmit_error, "", "");
KSYMTAB_FUNC(ieee802154_xmit_hw_error, "", "");

SYMBOL_CRC(ieee802154_alloc_hw, 0x7b4e9eb4, "");
SYMBOL_CRC(ieee802154_configure_durations, 0x4cc5ee2a, "");
SYMBOL_CRC(ieee802154_free_hw, 0x19ea90cc, "");
SYMBOL_CRC(ieee802154_register_hw, 0x9895fb6e, "");
SYMBOL_CRC(ieee802154_unregister_hw, 0x30bb09b2, "");
SYMBOL_CRC(ieee802154_rx_irqsafe, 0x7a3313ea, "");
SYMBOL_CRC(ieee802154_xmit_complete, 0xe08e53f0, "");
SYMBOL_CRC(ieee802154_xmit_error, 0x1dec83d1, "");
SYMBOL_CRC(ieee802154_xmit_hw_error, 0x30caa961, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x7035c23c, "crypto_skcipher_encrypt" },
	{ 0xbc82b3dd, "ieee802154_max_payload" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x472ed36b, "bpf_trace_run4" },
	{ 0x24921321, "nl802154_beaconing_done" },
	{ 0x9844f208, "skb_put" },
	{ 0x85670f1d, "rtnl_is_locked" },
	{ 0xf2bee357, "consume_skb" },
	{ 0xd2504a8c, "arch_spin_lock_wait" },
	{ 0x98de1c15, "snprintf" },
	{ 0xaca0aef0, "complete" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xb8c22b8d, "trace_raw_output_prep" },
	{ 0xcb329364, "skb_dequeue" },
	{ 0x9cadbd3b, "__init_swait_queue_head" },
	{ 0xdca4aa79, "__trace_trigger_soft_disabled" },
	{ 0xfdb7f6a9, "finish_wait" },
	{ 0xdb31ab91, "trace_event_printf" },
	{ 0x4c61c5b3, "hrtimer_init" },
	{ 0x45242ff0, "dev_alloc_name" },
	{ 0xfec003e3, "trace_event_raw_init" },
	{ 0x37a0cba, "kfree" },
	{ 0xc0114464, "ieee802154_mac_cmd_push" },
	{ 0x43babd19, "sg_init_one" },
	{ 0xcf5098ca, "crypto_alloc_aead" },
	{ 0x20201bea, "bpf_trace_run2" },
	{ 0x23924a48, "prepare_to_wait_event" },
	{ 0x8587bf21, "netdev_warn" },
	{ 0xe317d241, "crypto_aead_setauthsize" },
	{ 0xf7233dfd, "crypto_aead_decrypt" },
	{ 0xa066fd6c, "__wake_up" },
	{ 0x7e821ba1, "crc_ccitt" },
	{ 0x1e058109, "crypto_skcipher_setkey" },
	{ 0x51123191, "unregister_netdevice_queue" },
	{ 0xffb4dad1, "__dynamic_dev_dbg" },
	{ 0xe7f8b4b7, "ieee802154_hdr_peek_addrs" },
	{ 0xd8d591, "wpan_phy_unregister" },
	{ 0x1e4f34fa, "trace_event_buffer_commit" },
	{ 0x6e20dffa, "dev_addr_mod" },
	{ 0x63b935d1, "crypto_destroy_tfm" },
	{ 0x696a4f8, "alloc_netdev_mqs" },
	{ 0x201d9645, "nl802154_scan_done" },
	{ 0x20592c6f, "arch_write_lock_wait" },
	{ 0x92997ed8, "_printk" },
	{ 0xb6f4dbfc, "___ratelimit" },
	{ 0x1000e51, "schedule" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0x677dbe27, "nl802154_scan_started" },
	{ 0x9e237ecd, "crypto_skcipher_decrypt" },
	{ 0x9b8d07aa, "strnlen" },
	{ 0xd3a4bd83, "__alloc_skb" },
	{ 0x27083152, "skb_copy_expand" },
	{ 0x503e508b, "skb_queue_tail" },
	{ 0x12882ee6, "sized_strscpy" },
	{ 0xea3c74e, "tasklet_kill" },
	{ 0x13c90c61, "crypto_aead_setkey" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x936c7caf, "perf_trace_buf_alloc" },
	{ 0xb1379225, "perf_trace_run_bpf_submit" },
	{ 0xa6b12ba2, "cfg802154_get_free_short_addr" },
	{ 0x6e2da197, "arch_read_lock_wait" },
	{ 0x1a96d5fb, "_dev_err" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0x918b8007, "wpan_phy_register" },
	{ 0xa0eecab, "cfg802154_set_max_associations" },
	{ 0xd1fb1c6b, "crypto_aead_encrypt" },
	{ 0xf1969a8e, "__usecs_to_jiffies" },
	{ 0xfe9ac081, "kfree_skb_reason" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x860efa2c, "mutex_lock" },
	{ 0x32f8fe85, "skb_push" },
	{ 0x619ad47, "ieee802154_hdr_peek" },
	{ 0x2c13efbc, "wpan_phy_free" },
	{ 0x7709e6e7, "netif_receive_skb" },
	{ 0x40eaed1, "trace_event_reg" },
	{ 0xd0760fc0, "kfree_sensitive" },
	{ 0x9d2ab8ac, "__tasklet_schedule" },
	{ 0x4466c271, "free_netdev" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0x564405cb, "__cpu_online_mask" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0xf0ea2318, "__mutex_init" },
	{ 0xb35e1527, "__fortify_panic" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0xd6aaf4f9, "bpf_trace_run1" },
	{ 0x494c6951, "netif_tx_wake_queue" },
	{ 0x3dad9978, "cancel_delayed_work" },
	{ 0x4013719f, "_dev_warn" },
	{ 0x58d7c9a2, "hrtimer_start_range_ns" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0xcb00f61f, "ieee802154_hdr_pull" },
	{ 0x25480ae7, "nl802154_scan_event" },
	{ 0xc4ab8c9d, "crypto_alloc_sync_skcipher" },
	{ 0x7372c8fd, "skb_trim" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0x392c5779, "__dynamic_netdev_dbg" },
	{ 0xdb0d19de, "bpf_trace_run3" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0xaf81c1aa, "trace_event_buffer_reserve" },
	{ 0x86a8fb71, "mutex_unlock" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xa503dd04, "wait_for_completion_killable_timeout" },
	{ 0x72a7b3ea, "ieee802154_beacon_push" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x118f353f, "ieee802154_mac_cmd_pl_pull" },
	{ 0x56470118, "__warn_printk" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x2731e793, "wpan_phy_new" },
	{ 0xcc26224, "skb_clone" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0xa7172736, "hrtimer_cancel" },
	{ 0x6a020508, "ieee802154_hdr_push" },
	{ 0x8676db46, "get_random_bytes" },
	{ 0x86f48f92, "kmalloc_trace" },
	{ 0xa07d1b3c, "tasklet_setup" },
	{ 0x60a13e90, "rcu_barrier" },
	{ 0x36e750bc, "dev_kfree_skb_any_reason" },
	{ 0x350f6ce5, "tasklet_unlock_wait" },
	{ 0xec5a1f6c, "cfg802154_device_is_parent" },
	{ 0xff557e80, "trace_handle_return" },
	{ 0x1dadd920, "__kmalloc" },
	{ 0xfb0e0d0b, "kmalloc_caches" },
	{ 0xa427c7e2, "cfg802154_device_is_child" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0xaacc173a, "register_netdevice" },
	{ 0x50b93b95, "module_layout" },
};

MODULE_INFO(depends, "ieee802154");


MODULE_INFO(srcversion, "E66799E9723481101ABCAAB");
MODULE_INFO(rhelversion, "9.99");
