#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0x75143892, "tcf_idrinfo_destroy" },
	{ 0x37a0cba, "kfree" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0x2d0a672d, "tcf_action_update_stats" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0xf1db1704, "nla_memcpy" },
	{ 0x9b4de841, "nf_flow_table_free" },
	{ 0xd3cf1c01, "down_write" },
	{ 0xd2510a63, "up_write" },
	{ 0xa7e2dd7e, "module_put" },
	{ 0x6f5ef93d, "memchr_inv" },
	{ 0xe1e4ba81, "nla_put" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x64c3ad06, "rhashtable_init" },
	{ 0x84a055d0, "tcf_register_action" },
	{ 0x364354ba, "rhashtable_destroy" },
	{ 0x22d60537, "tcf_frag_xmit_count" },
	{ 0x2c834418, "static_key_slow_inc" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x2f4880df, "static_key_slow_dec" },
	{ 0x48eb3024, "tcf_unregister_action" },
	{ 0xfb0e0d0b, "kmalloc_caches" },
	{ 0x86f48f92, "kmalloc_trace" },
	{ 0xf0ea2318, "__mutex_init" },
	{ 0x89d99ee1, "__nf_ct_ext_find" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x460ec0f, "nf_ct_invert_tuple" },
	{ 0xe798236d, "jiffies" },
	{ 0x7d0db45c, "jiffies_to_clock_t" },
	{ 0x45bdb4f6, "nla_put_64bit" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x9b8d07aa, "strnlen" },
	{ 0xb35e1527, "__fortify_panic" },
	{ 0x7372c8fd, "skb_trim" },
	{ 0xd2504a8c, "arch_spin_lock_wait" },
	{ 0xe72e844b, "__rht_bucket_nested" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x6fb49676, "queue_rcu_work" },
	{ 0x73c93090, "rhashtable_insert_slow" },
	{ 0xf3b8882, "rht_bucket_nested_insert" },
	{ 0x860efa2c, "mutex_lock" },
	{ 0x2fa5a500, "memcmp" },
	{ 0x86a8fb71, "mutex_unlock" },
	{ 0x5542ce6d, "nf_flow_table_init" },
	{ 0xbb5dd54, "__module_get" },
	{ 0x61a6a17, "rht_bucket_nested" },
	{ 0x59d9e62a, "ipv6_find_hdr" },
	{ 0x32e3b52a, "nf_ct_handle_fragments" },
	{ 0xfb43452a, "__pskb_pull_tail" },
	{ 0xc3dd34bf, "nf_conntrack_helper_put" },
	{ 0x6647639c, "nf_connlabels_put" },
	{ 0x973131a2, "nf_nat_helper_put" },
	{ 0x3b08a8f0, "nf_ct_destroy" },
	{ 0xb793b1a4, "nf_connlabels_get" },
	{ 0xeab7df11, "nf_ct_tmpl_alloc" },
	{ 0x98873f0b, "nf_ct_add_helper" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0x83f51840, "__nla_parse" },
	{ 0x2916bb48, "tcf_idr_check_alloc" },
	{ 0x3c753e14, "tcf_action_check_ctrlact" },
	{ 0x770b412a, "tcf_chain_put_by_act" },
	{ 0x976fc62d, "tcf_idr_release" },
	{ 0x865856, "tcf_idr_create_from_flags" },
	{ 0x595c01b4, "tcf_action_set_ctrlact" },
	{ 0xacc24386, "tcf_idr_cleanup" },
	{ 0x299954ed, "flow_offload_lookup" },
	{ 0x23239a85, "init_net" },
	{ 0x3ad1bcdf, "flow_offload_refresh" },
	{ 0xd957677d, "nf_ct_acct_add" },
	{ 0x7cba8d54, "flow_offload_teardown" },
	{ 0xd2f5c31c, "flow_offload_alloc" },
	{ 0x5c559114, "flow_offload_add" },
	{ 0x324cbcd4, "flow_offload_free" },
	{ 0xc2e1c633, "skb_pull_rcsum" },
	{ 0xdf29e0aa, "nf_ct_skb_network_trim" },
	{ 0x81359a17, "nf_conntrack_in" },
	{ 0xda9dbed3, "skb_copy_bits" },
	{ 0x32f8fe85, "skb_push" },
	{ 0x811e025f, "nf_ct_deliver_cached_events" },
	{ 0x3a5b664c, "nf_ct_nat" },
	{ 0xb1b98a44, "nf_connlabels_replace" },
	{ 0xe113bbbc, "csum_partial" },
	{ 0xc2e4e5ec, "nf_ct_helper" },
	{ 0x936d0c1d, "nf_ct_delete" },
	{ 0xd2800691, "nf_conntrack_destroy" },
	{ 0x34a9e4c8, "nf_ct_ext_add" },
	{ 0xba1c52ee, "__nf_ct_try_assign_helper" },
	{ 0xe5fd47f1, "__nf_conntrack_confirm" },
	{ 0x50b93b95, "module_layout" },
};

MODULE_INFO(depends, "nf_flow_table,nf_conntrack,nf_nat");


MODULE_INFO(srcversion, "773F46CA868AC3110D1BDD7");
MODULE_INFO(rhelversion, "9.99");
